{
"detail": "The container group could not be found.",
"instance": "https://example.com/error-instances/12345",
"status": 404,
"title": "Not Found",
"type": "https://example.com/errors/invalid-request"
}
{
"detail": "The container group could not be found.",
"instance": "https://example.com/error-instances/12345",
"status": 404,
"title": "Not Found",
"type": "https://example.com/errors/invalid-request"
}
{
"detail": "The container group could not be found.",
"instance": "https://example.com/error-instances/12345",
"status": 404,
"title": "Not Found",
"type": "https://example.com/errors/invalid-request"
}
{
"detail": "The container group could not be found.",
"instance": "https://example.com/error-instances/12345",
"status": 404,
"title": "Not Found",
"type": "https://example.com/errors/invalid-request"
}
Container Groups
Create Container Group
Creates a new container group
POST
/
organizations
/
{organization_name}
/
projects
/
{project_name}
/
containers
C#
using Salad.Cloud.SDK;using Salad.Cloud.SDK.Config;using Salad.Cloud.SDK.Models;var config = new SaladCloudSdkConfig{};var client = new SaladCloudSdkClient(config);var gpuClasses = new List<string>() { "gpu_classes" };var resources = new CreateContainerResourceRequirements(827, 734164836, gpuClasses, 64, 761306530849177.9);var command = new List<string>() { "command" };var axiom = new AxiomLoggingConfiguration("api_token", "dataset", "host");var tagsItem = new DatadogTagForContainerLogging("name", "value");var tags = new List<DatadogTagForContainerLogging>() { tagsItem };var datadog = new DatadogLoggingConfiguration("api_key", "host", tags);var headersItem = new ContainerLoggingHttpHeader("name", "value");var headers = new List<ContainerLoggingHttpHeader>() { headersItem };var http = new ContainerLoggingConfigurationHttp2(ContainerLoggingHttpCompression.None, ContainerLoggingHttpFormat.Json, "host", 42056, headers, "password", "path", "user");var newRelic = new NewRelicLoggingConfiguration("host", "ingestion_key");var splunk = new ContainerLoggingSplunkConfiguration("host", "token");var tcp = new TcpLoggingConfiguration("host", 44671);var logging = new ContainerConfigurationLogging(axiom, datadog, http, newRelic, splunk, tcp);var awsEcr = new ContainerRegistryAuthenticationAwsEcr("access_key_id", "secret_access_key");var basic = new ContainerRegistryAuthenticationBasic("password", "username");var dockerHub = new ContainerRegistryAuthenticationDockerHub("personal_access_token", "username");var gcpGar = new ContainerRegistryAuthenticationGcpGar("service_key");var gcpGcr = new ContainerRegistryAuthenticationGcpGcr("service_key");var registryAuthentication = new ContainerRegistryAuthentication(awsEcr, basic, dockerHub, gcpGar, gcpGcr);var container = new ContainerConfiguration("acme/:latest", resources, command, new object(), true, logging, ContainerGroupPriority.High, registryAuthentication);var countryCodes = new List<CountryCode>() { CountryCode.Af };var command = new List<string>() { "command" };var exec = new ContainerGroupProbeExec(command);var grpc = new ContainerGroupGRpcProbe(37648, "service");var headersItem = new ContainerGroupProbeHttpHeader("name", "value");var headers = new List<ContainerGroupProbeHttpHeader>() { headersItem };var http = new ContainerGroupHttpProbeConfiguration(headers, "path", 29069, HttpScheme.Http);var tcp = new ContainerGroupTcpProbe(13817);var livenessProbe = new ContainerGroupLivenessProbe(3, 670, 10, 1, 30, exec, grpc, http, tcp);var networking = new CreateContainerGroupNetworking(false, 60000, ContainerNetworkingProtocol.Http, 100000, TheContainerGroupNetworkingLoadBalancer.RoundRobin, 100000, false);var queueAutoscaler = new QueueBasedAutoscalerConfiguration(53, 321, 54, 59, 100, 140);var queueConnection = new ContainerGroupQueueConnection("path", 47568, "z1h-3z01x9");var command = new List<string>() { "command" };var exec = new ContainerGroupProbeExec(command);var grpc = new ContainerGroupGRpcProbe(37648, "service");var headersItem = new ContainerGroupProbeHttpHeader("name", "value");var headers = new List<ContainerGroupProbeHttpHeader>() { headersItem };var http = new ContainerGroupHttpProbeConfiguration(headers, "path", 29069, HttpScheme.Http);var tcp = new ContainerGroupTcpProbe(13817);var readinessProbe = new ContainerGroupReadinessProbe(3, 262, 1, 1, 1, exec, grpc, http, tcp);var scalingActionsItem = new ContainerGroupScalingAction(461, "7kwC/T8C da x6Ci bM-rgGYn bDY6,vT");var scalingActions = new List<ContainerGroupScalingAction>() { scalingActionsItem };var command = new List<string>() { "command" };var exec = new ContainerGroupProbeExec(command);var grpc = new ContainerGroupGRpcProbe(37648, "service");var headersItem = new ContainerGroupProbeHttpHeader("name", "value");var headers = new List<ContainerGroupProbeHttpHeader>() { headersItem };var http = new ContainerGroupHttpProbeConfiguration(headers, "path", 29069, HttpScheme.Http);var tcp = new ContainerGroupTcpProbe(13817);var startupProbe = new ContainerGroupStartupProbe(15, 503, 3, 2, 10, exec, grpc, http, tcp);var input = new ContainerGroupCreationRequest(false, container, "name", 77, ContainerRestartPolicy.Always, countryCodes, "KMg0KyVwpb", livenessProbe, networking, queueAutoscaler, queueConnection, readinessProbe, scalingActions, true, startupProbe);var response = await client.ContainerGroups.CreateContainerGroupAsync(input, "acme-corp", "dev-env");Console.WriteLine(response);
{
"detail": "The container group could not be found.",
"instance": "https://example.com/error-instances/12345",
"status": 404,
"title": "Not Found",
"type": "https://example.com/errors/invalid-request"
}
{
"detail": "The container group could not be found.",
"instance": "https://example.com/error-instances/12345",
"status": 404,
"title": "Not Found",
"type": "https://example.com/errors/invalid-request"
}
{
"detail": "The container group could not be found.",
"instance": "https://example.com/error-instances/12345",
"status": 404,
"title": "Not Found",
"type": "https://example.com/errors/invalid-request"
}
{
"detail": "The container group could not be found.",
"instance": "https://example.com/error-instances/12345",
"status": 404,
"title": "Not Found",
"type": "https://example.com/errors/invalid-request"
}
Your organization name. This identifies the billing context for the API operation and represents a security boundary for SaladCloud resources. The organization must be created before using the API, and you must be a member of the organization.
The organization name.
Configuration for creating a container within a container group. Defines the container image, resource requirements, environment variables, and other settings needed to deploy and run the container.
Defines configuration for automatically scaling container instances based on queue length. The autoscaler monitors a queue and adjusts the number of running replicas to maintain the desired queue length.
Defines how to check if a container is ready to serve traffic. The readiness probe determines whether the container's application is ready to accept traffic. If the readiness probe fails, the container is considered not ready and traffic will not be sent to it.
Defines a probe that checks if a container application has started successfully. Startup probes help prevent applications from being prematurely marked as unhealthy during initialization. The probe can use HTTP requests, TCP connections, gRPC calls, or shell commands to determine startup status.
Show child attributes
Response
Created
A container group definition that represents a scalable set of identical containers running as a distributed service
Represents the operational state of a container group during its lifecycle, including timing information, status, and instance distribution metrics. This state captures the current execution status, start and finish times, and provides visibility into the operational health across instances.
Defines configuration for automatically scaling container instances based on queue length. The autoscaler monitors a queue and adjusts the number of running replicas to maintain the desired queue length.
Defines how to check if a container is ready to serve traffic. The readiness probe determines whether the container's application is ready to accept traffic. If the readiness probe fails, the container is considered not ready and traffic will not be sent to it.
Defines a probe that checks if a container application has started successfully. Startup probes help prevent applications from being prematurely marked as unhealthy during initialization. The probe can use HTTP requests, TCP connections, gRPC calls, or shell commands to determine startup status.
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"SaladCloud","description":"SaladCloud documentation: Salad Container Engine, AI Gateway, Transcription API, S4 storage, and Gateway Service. Agents: start at /general/tutorials/build-with-ai-agents.","colors":{"primary":"#53A626","light":"#53A626","dark":"#53A626"},"logo":{"light":"https://mintcdn.com/salad/EawwuVEIAqrvltQ2/logo/light.svg?fit=max\u0026auto=format\u0026n=EawwuVEIAqrvltQ2\u0026q=85\u0026s=1ad3f967dcd4a77e38b71e493c2bb856","dark":"https://mintcdn.com/salad/EawwuVEIAqrvltQ2/logo/dark.svg?fit=max\u0026auto=format\u0026n=EawwuVEIAqrvltQ2\u0026q=85\u0026s=9912147ab9e28fe6afc254360302b732"},"favicon":"https://mintcdn.com/salad/B_utM-6XUMV1Xhv8/favicon.png?fit=max\u0026auto=format\u0026n=B_utM-6XUMV1Xhv8\u0026q=85\u0026s=4a570954d5b07e93adbe36fa38ea01e4","navbar":{"links":[{"href":"https://blog.salad.com","label":"Blog"},{"href":"https://discord.gg/ApSm4Kn7Aq","label":"Community"}],"primary":{"type":"button","label":"Portal","href":"https://portal.salad.com"}},"footer":{"socials":{"website":"https://salad.com","discord":"https://discord.gg/ApSm4Kn7Aq","github":"https://github.com/SaladTechnologies","youtube":"https://www.youtube.com/channel/UCFqO8W9-bxGCf-PdSrc7wVg","x":"https://x.com/SaladTech","linkedin":"https://www.linkedin.com/company/salad-technologies"}},"search":{"prompt":"Search..."},"integrations":{"ga4":{"measurementId":"G-C9B6SKYZEY"},"mixpanel":{"projectToken":"26a3dcda21415501306f3f077a446ec5"}},"contextual":{"options":["copy","view","claude","chatgpt","cursor","mcp","add-mcp"],"display":"header"},"markdown":{"instructions":"For autonomous tasks, use live SaladCloud API responses for current state, availability, quotas, models, and other dynamic values. Use current OpenAPI specifications where provided for paths, schemas, required fields, and enums. Never invent endpoints, fields, prices, availability, quotas, models, or state. Prefer API workflows over Portal steps. Read before changing and never expose credentials, signed media URLs, prompts, or sensitive outputs. Retry only safe or idempotent operations with bounded backoff, honoring Retry-After. Verify every write with a read. Stop rather than repeat an uncertain non-idempotent or billable request. AI Gateway uses an organization-specific Bearer key and live /v1/models discovery. Do not delete, cancel, stop, or reduce capacity without explicit user intent. Bind shared operation IDs to the selected product path. Treat Container Engine instances as interruptible and local state as ephemeral. Install the SaladCloud skills (npx skills add https://docs.salad.com), start from the salad skill and /agents/overview; docs MCP: https://docs.salad.com/mcp."},"styling":{"latex":true},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"salad","hasAudioNarration":false,"actualSubdomain":"salad","customDomains":["docs.salad.com"],"gitSource":{"type":"github","owner":"saladtechnologies","repo":"salad-cloud-docs","deployBranch":"main","contentDirectory":"","isPrivate":false,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6ad681d2c8809c060cc4b203","collectionId":"41daa9a9-a3eb-4a29-912b-2a280b3f4fe4","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6ad681d2c8809c060cc4b203"},"feedback":{"thumbs":true,"edits":true,"issues":true},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6ad681d2c8809c060cc4b203","clientVersion":"0.0.3971","searchFilterCounts":[{"language":"default","tag":"Container Engine","count":176},{"language":"default","tag":"API Reference","count":110},{"language":"default","tag":"How-to Guides","count":97},{"language":"default","tag":"Explanation","count":52},{"language":"default","tag":"Reference","count":45},{"language":"default","tag":"Transcription","count":40},{"language":"default","tag":"SaladCloud API","count":36},{"language":"default","tag":"Tutorials","count":33},{"language":"default","tag":"Recipes","count":32},{"language":"default","tag":"AI Gateway","count":26}]},"assistantConfig":{},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-v7-file-tree","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"pause-universal-search-reconcile","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"per-site-search-delta","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-private-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-nav-generations","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"byok-sep-25","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"vite-origin","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-agent-model-picker","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-updated-9-15","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"isAtlas":false,"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"reference/saladcloud-api/container-groups/create-container-group","slug":"/reference/saladcloud-api/container-groups/create-container-group","pageMetadata":{"openapi":"api-specs/salad-cloud.yaml post /organizations/{organization_name}/projects/{project_name}/containers","title":"Create Container Group","description":"Creates a new container group","href":"/reference/saladcloud-api/container-groups/create-container-group"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Creates a new container group\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={em:`em`,p:`p`,..._provideComponents(),...props.components};return _jsx(_components.p,{children:_jsx(_components.em,{children:`Last Updated: July 1, 2025`})})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"openapi":"api-specs/salad-cloud.yaml post /organizations/{organization_name}/projects/{project_name}/containers","title":"Create Container Group","description":"Creates a new container group","href":"/reference/saladcloud-api/container-groups/create-container-group"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":["/_mintlify/custom/salad/4a7f0413c61b75a8/site-scripts/helpscout.js","/_mintlify/custom/salad/969fb03c373fd4ea/site-scripts/hubspot.js","/_mintlify/custom/salad/93b4d0bae5310d7b/site-scripts/mixpanel.js","/_mintlify/custom/salad/762698e4ad15ffc1/site-scripts/vimeo.js","/_mintlify/custom/salad/4a9dce76fa120355/scripts/add-metadata-header.js","/_mintlify/custom/salad/ec690830dcac8b9c/scripts/validate-agent-operations.js"],"openApiReferenceData":{"operation":{"operationId":"create_container_group","summary":"Create Container Group","description":"Creates a new container group","requestBody":"64b17d17-24af-419a-a09c-36b6b91e1999","responses":{"201":"527f52c9-abec-4583-8012-13956fbb298a","400":"705e1be8-80fb-41a5-b2e1-de1e5fe3dcd8","403":"afe15cd5-ff79-41b8-89e8-00ca87170fb0","429":"a88c967f-1d0b-4dfa-8e2a-d04621bb814a","default":"3cecb464-8de1-4b51-858a-6132da665042"},"tags":["container_groups"],"x-codeSamples":[{"source":"using Salad.Cloud.SDK;\nusing Salad.Cloud.SDK.Config;\nusing Salad.Cloud.SDK.Models;\n\nvar config = new SaladCloudSdkConfig{};\n\nvar client = new SaladCloudSdkClient(config);\n\nvar gpuClasses = new List\u003cstring>() { \"gpu_classes\" };\nvar resources = new CreateContainerResourceRequirements(827, 734164836, gpuClasses, 64, 761306530849177.9);\nvar command = new List\u003cstring>() { \"command\" };\nvar axiom = new AxiomLoggingConfiguration(\"api_token\", \"dataset\", \"host\");\nvar tagsItem = new DatadogTagForContainerLogging(\"name\", \"value\");\nvar tags = new List\u003cDatadogTagForContainerLogging>() { tagsItem };\nvar datadog = new DatadogLoggingConfiguration(\"api_key\", \"host\", tags);\nvar headersItem = new ContainerLoggingHttpHeader(\"name\", \"value\");\nvar headers = new List\u003cContainerLoggingHttpHeader>() { headersItem };\nvar http = new ContainerLoggingConfigurationHttp2(ContainerLoggingHttpCompression.None, ContainerLoggingHttpFormat.Json, \"host\", 42056, headers, \"password\", \"path\", \"user\");\nvar newRelic = new NewRelicLoggingConfiguration(\"host\", \"ingestion_key\");\nvar splunk = new ContainerLoggingSplunkConfiguration(\"host\", \"token\");\nvar tcp = new TcpLoggingConfiguration(\"host\", 44671);\nvar logging = new ContainerConfigurationLogging(axiom, datadog, http, newRelic, splunk, tcp);\nvar awsEcr = new ContainerRegistryAuthenticationAwsEcr(\"access_key_id\", \"secret_access_key\");\nvar basic = new ContainerRegistryAuthenticationBasic(\"password\", \"username\");\nvar dockerHub = new ContainerRegistryAuthenticationDockerHub(\"personal_access_token\", \"username\");\nvar gcpGar = new ContainerRegistryAuthenticationGcpGar(\"service_key\");\nvar gcpGcr = new ContainerRegistryAuthenticationGcpGcr(\"service_key\");\nvar registryAuthentication = new ContainerRegistryAuthentication(awsEcr, basic, dockerHub, gcpGar, gcpGcr);\nvar container = new ContainerConfiguration(\"acme/:latest\", resources, command, new object(), true, logging, ContainerGroupPriority.High, registryAuthentication);\nvar countryCodes = new List\u003cCountryCode>() { CountryCode.Af };\nvar command = new List\u003cstring>() { \"command\" };\nvar exec = new ContainerGroupProbeExec(command);\nvar grpc = new ContainerGroupGRpcProbe(37648, \"service\");\nvar headersItem = new ContainerGroupProbeHttpHeader(\"name\", \"value\");\nvar headers = new List\u003cContainerGroupProbeHttpHeader>() { headersItem };\nvar http = new ContainerGroupHttpProbeConfiguration(headers, \"path\", 29069, HttpScheme.Http);\nvar tcp = new ContainerGroupTcpProbe(13817);\nvar livenessProbe = new ContainerGroupLivenessProbe(3, 670, 10, 1, 30, exec, grpc, http, tcp);\nvar networking = new CreateContainerGroupNetworking(false, 60000, ContainerNetworkingProtocol.Http, 100000, TheContainerGroupNetworkingLoadBalancer.RoundRobin, 100000, false);\nvar queueAutoscaler = new QueueBasedAutoscalerConfiguration(53, 321, 54, 59, 100, 140);\nvar queueConnection = new ContainerGroupQueueConnection(\"path\", 47568, \"z1h-3z01x9\");\nvar command = new List\u003cstring>() { \"command\" };\nvar exec = new ContainerGroupProbeExec(command);\nvar grpc = new ContainerGroupGRpcProbe(37648, \"service\");\nvar headersItem = new ContainerGroupProbeHttpHeader(\"name\", \"value\");\nvar headers = new List\u003cContainerGroupProbeHttpHeader>() { headersItem };\nvar http = new ContainerGroupHttpProbeConfiguration(headers, \"path\", 29069, HttpScheme.Http);\nvar tcp = new ContainerGroupTcpProbe(13817);\nvar readinessProbe = new ContainerGroupReadinessProbe(3, 262, 1, 1, 1, exec, grpc, http, tcp);\nvar scalingActionsItem = new ContainerGroupScalingAction(461, \"7kwC/T8C da x6Ci bM-rgGYn bDY6,vT\");\nvar scalingActions = new List\u003cContainerGroupScalingAction>() { scalingActionsItem };\nvar command = new List\u003cstring>() { \"command\" };\nvar exec = new ContainerGroupProbeExec(command);\nvar grpc = new ContainerGroupGRpcProbe(37648, \"service\");\nvar headersItem = new ContainerGroupProbeHttpHeader(\"name\", \"value\");\nvar headers = new List\u003cContainerGroupProbeHttpHeader>() { headersItem };\nvar http = new ContainerGroupHttpProbeConfiguration(headers, \"path\", 29069, HttpScheme.Http);\nvar tcp = new ContainerGroupTcpProbe(13817);\nvar startupProbe = new ContainerGroupStartupProbe(15, 503, 3, 2, 10, exec, grpc, http, tcp);\nvar input = new ContainerGroupCreationRequest(false, container, \"name\", 77, ContainerRestartPolicy.Always, countryCodes, \"KMg0KyVwpb\", livenessProbe, networking, queueAutoscaler, queueConnection, readinessProbe, scalingActions, true, startupProbe);\n\nvar response = await client.ContainerGroups.CreateContainerGroupAsync(input, \"acme-corp\", \"dev-env\");\n\nConsole.WriteLine(response);","lang":"C#"},{"source":"import com.salad.cloud.sdk.SaladCloudSdk;\nimport com.salad.cloud.sdk.config.ApiKeyAuthConfig;\nimport com.salad.cloud.sdk.config.SaladCloudSdkConfig;\nimport com.salad.cloud.sdk.models.AxiomLoggingConfiguration;\nimport com.salad.cloud.sdk.models.ContainerConfiguration;\nimport com.salad.cloud.sdk.models.ContainerConfigurationLogging;\nimport com.salad.cloud.sdk.models.ContainerGroup;\nimport com.salad.cloud.sdk.models.ContainerGroupCreationRequest;\nimport com.salad.cloud.sdk.models.ContainerGroupGRpcProbe;\nimport com.salad.cloud.sdk.models.ContainerGroupHttpProbeConfiguration;\nimport com.salad.cloud.sdk.models.ContainerGroupLivenessProbe;\nimport com.salad.cloud.sdk.models.ContainerGroupPriority;\nimport com.salad.cloud.sdk.models.ContainerGroupProbeExec;\nimport com.salad.cloud.sdk.models.ContainerGroupProbeHttpHeader;\nimport com.salad.cloud.sdk.models.ContainerGroupQueueConnection;\nimport com.salad.cloud.sdk.models.ContainerGroupReadinessProbe;\nimport com.salad.cloud.sdk.models.ContainerGroupScalingAction;\nimport com.salad.cloud.sdk.models.ContainerGroupStartupProbe;\nimport com.salad.cloud.sdk.models.ContainerGroupTcpProbe;\nimport com.salad.cloud.sdk.models.ContainerLoggingConfigurationHttp2;\nimport com.salad.cloud.sdk.models.ContainerLoggingHttpCompression;\nimport com.salad.cloud.sdk.models.ContainerLoggingHttpFormat;\nimport com.salad.cloud.sdk.models.ContainerLoggingHttpHeader;\nimport com.salad.cloud.sdk.models.ContainerLoggingSplunkConfiguration;\nimport com.salad.cloud.sdk.models.ContainerNetworkingProtocol;\nimport com.salad.cloud.sdk.models.ContainerRegistryAuthentication;\nimport com.salad.cloud.sdk.models.ContainerRegistryAuthenticationAwsEcr;\nimport com.salad.cloud.sdk.models.ContainerRegistryAuthenticationBasic;\nimport com.salad.cloud.sdk.models.ContainerRegistryAuthenticationDockerHub;\nimport com.salad.cloud.sdk.models.ContainerRegistryAuthenticationGcpGar;\nimport com.salad.cloud.sdk.models.ContainerRegistryAuthenticationGcpGcr;\nimport com.salad.cloud.sdk.models.ContainerRestartPolicy;\nimport com.salad.cloud.sdk.models.CountryCode;\nimport com.salad.cloud.sdk.models.CreateContainerGroupNetworking;\nimport com.salad.cloud.sdk.models.CreateContainerResourceRequirements;\nimport com.salad.cloud.sdk.models.DatadogLoggingConfiguration;\nimport com.salad.cloud.sdk.models.DatadogTagForContainerLogging;\nimport com.salad.cloud.sdk.models.HttpScheme;\nimport com.salad.cloud.sdk.models.NewRelicLoggingConfiguration;\nimport com.salad.cloud.sdk.models.QueueBasedAutoscalerConfiguration;\nimport com.salad.cloud.sdk.models.TcpLoggingConfiguration;\nimport com.salad.cloud.sdk.models.TheContainerGroupNetworkingLoadBalancer;\nimport java.util.Arrays;\nimport java.util.HashMap;\nimport java.util.List;\n\npublic class Main {\n public static void main(String[] args) {\n\t\tSaladCloudSdkConfig config = SaladCloudSdkConfig.builder()\n\t\t\t.apiKeyAuthConfig(\n\t\t\t\tApiKeyAuthConfig.builder()\n\t\t\t\t\t.apiKey(\"YOUR_API_KEY\")\n\t\t\t\t\t.build()\n\t\t\t)\n\t\t\t.build();\n\n\t\tSaladCloudSdk saladCloudSdk = new SaladCloudSdk(config);\n\n\t\tList\u003cString> commandList = Arrays.asList(\"command\");\n\n\t\tAxiomLoggingConfiguration axiomLoggingConfiguration = AxiomLoggingConfiguration.builder()\n\t\t\t.apiToken(\"api_token\")\n\t\t\t.dataset(\"dataset\")\n\t\t\t.host(\"host\")\n\t\t\t.build();\n\n\t\tDatadogTagForContainerLogging datadogTagForContainerLogging = DatadogTagForContainerLogging.builder()\n\t\t\t.name(\"name\")\n\t\t\t.value(\"value\")\n\t\t\t.build();\n\n\t\tList\u003cDatadogTagForContainerLogging> tagsList = Arrays.asList(datadogTagForContainerLogging);\n\n\t\tDatadogLoggingConfiguration datadogLoggingConfiguration = DatadogLoggingConfiguration.builder()\n\t\t\t.apiKey(\"api_key\")\n\t\t\t.host(\"host\")\n\t\t\t.tags(tagsList)\n\t\t\t.build();\n\n\t\tContainerLoggingHttpHeader containerLoggingHttpHeader = ContainerLoggingHttpHeader.builder()\n\t\t\t.name(\"name\")\n\t\t\t.value(\"value\")\n\t\t\t.build();\n\n\t\tList\u003cContainerLoggingHttpHeader> headersList = Arrays.asList(containerLoggingHttpHeader);\n\n\t\tContainerLoggingConfigurationHttp2 containerLoggingConfigurationHttp2 = ContainerLoggingConfigurationHttp2.builder()\n\t\t\t.compression(ContainerLoggingHttpCompression.NONE)\n\t\t\t.format(ContainerLoggingHttpFormat.JSON)\n\t\t\t.headers(headersList)\n\t\t\t.host(\"host\")\n\t\t\t.password(\"password\")\n\t\t\t.path(\"path\")\n\t\t\t.port(42056L)\n\t\t\t.user(\"user\")\n\t\t\t.build();\n\n\t\tNewRelicLoggingConfiguration newRelicLoggingConfiguration = NewRelicLoggingConfiguration.builder()\n\t\t\t.host(\"host\")\n\t\t\t.ingestionKey(\"ingestion_key\")\n\t\t\t.build();\n\n\t\tContainerLoggingSplunkConfiguration containerLoggingSplunkConfiguration = ContainerLoggingSplunkConfiguration.builder()\n\t\t\t.host(\"host\")\n\t\t\t.token(\"token\")\n\t\t\t.build();\n\n\t\tTcpLoggingConfiguration tcpLoggingConfiguration = TcpLoggingConfiguration.builder()\n\t\t\t.host(\"host\")\n\t\t\t.port(44671L)\n\t\t\t.build();\n\n\t\tContainerConfigurationLogging containerConfigurationLogging = ContainerConfigurationLogging.builder()\n\t\t\t.axiom(axiomLoggingConfiguration)\n\t\t\t.datadog(datadogLoggingConfiguration)\n\t\t\t.http(containerLoggingConfigurationHttp2)\n\t\t\t.newRelic(newRelicLoggingConfiguration)\n\t\t\t.splunk(containerLoggingSplunkConfiguration)\n\t\t\t.tcp(tcpLoggingConfiguration)\n\t\t\t.build();\n\n\t\tContainerRegistryAuthenticationAwsEcr containerRegistryAuthenticationAwsEcr = ContainerRegistryAuthenticationAwsEcr.builder()\n\t\t\t.accessKeyId(\"access_key_id\")\n\t\t\t.secretAccessKey(\"secret_access_key\")\n\t\t\t.build();\n\n\t\tContainerRegistryAuthenticationBasic containerRegistryAuthenticationBasic = ContainerRegistryAuthenticationBasic.builder()\n\t\t\t.password(\"password\")\n\t\t\t.username(\"username\")\n\t\t\t.build();\n\n\t\tContainerRegistryAuthenticationDockerHub containerRegistryAuthenticationDockerHub = ContainerRegistryAuthenticationDockerHub.builder()\n\t\t\t.personalAccessToken(\"personal_access_token\")\n\t\t\t.username(\"username\")\n\t\t\t.build();\n\n\t\tContainerRegistryAuthenticationGcpGar containerRegistryAuthenticationGcpGar = ContainerRegistryAuthenticationGcpGar.builder()\n\t\t\t.serviceKey(\"service_key\")\n\t\t\t.build();\n\n\t\tContainerRegistryAuthenticationGcpGcr containerRegistryAuthenticationGcpGcr = ContainerRegistryAuthenticationGcpGcr.builder()\n\t\t\t.serviceKey(\"service_key\")\n\t\t\t.build();\n\n\t\tContainerRegistryAuthentication containerRegistryAuthentication = ContainerRegistryAuthentication.builder()\n\t\t\t.awsEcr(containerRegistryAuthenticationAwsEcr)\n\t\t\t.basic(containerRegistryAuthenticationBasic)\n\t\t\t.dockerHub(containerRegistryAuthenticationDockerHub)\n\t\t\t.gcpGar(containerRegistryAuthenticationGcpGar)\n\t\t\t.gcpGcr(containerRegistryAuthenticationGcpGcr)\n\t\t\t.build();\n\n\t\tList\u003cString> gpuClassesList = Arrays.asList(\"gpu_classes\");\n\n\t\tCreateContainerResourceRequirements createContainerResourceRequirements = CreateContainerResourceRequirements.builder()\n\t\t\t.cpu(827L)\n\t\t\t.gpuClasses(gpuClassesList)\n\t\t\t.memory(734164836L)\n\t\t\t.shmSize(64L)\n\t\t\t.storageAmount(761306530849177.9L)\n\t\t\t.build();\n\n\t\tContainerConfiguration containerConfiguration = ContainerConfiguration.builder()\n\t\t\t.command(commandList)\n\t\t\t.environmentVariables(new HashMap())\n\t\t\t.image(\"acme/:latest\")\n\t\t\t.imageCaching(true)\n\t\t\t.logging(containerConfigurationLogging)\n\t\t\t.priority(ContainerGroupPriority.HIGH)\n\t\t\t.registryAuthentication(containerRegistryAuthentication)\n\t\t\t.resources(createContainerResourceRequirements)\n\t\t\t.build();\n\n\t\tList\u003cCountryCode> countryCodesList = Arrays.asList(CountryCode.AF);\n\n\t\tList\u003cString> commandList1 = Arrays.asList(\"command\");\n\n\t\tContainerGroupProbeExec containerGroupProbeExec = ContainerGroupProbeExec.builder()\n\t\t\t.command(commandList1)\n\t\t\t.build();\n\n\t\tContainerGroupGRpcProbe containerGroupGRpcProbe = ContainerGroupGRpcProbe.builder()\n\t\t\t.port(37648L)\n\t\t\t.service(\"service\")\n\t\t\t.build();\n\n\t\tContainerGroupProbeHttpHeader containerGroupProbeHttpHeader = ContainerGroupProbeHttpHeader.builder()\n\t\t\t.name(\"name\")\n\t\t\t.value(\"value\")\n\t\t\t.build();\n\n\t\tList\u003cContainerGroupProbeHttpHeader> headersList1 = Arrays.asList(containerGroupProbeHttpHeader);\n\n\t\tContainerGroupHttpProbeConfiguration containerGroupHttpProbeConfiguration = ContainerGroupHttpProbeConfiguration.builder()\n\t\t\t.headers(headersList1)\n\t\t\t.path(\"path\")\n\t\t\t.port(29069L)\n\t\t\t.scheme(HttpScheme.HTTP)\n\t\t\t.build();\n\n\t\tContainerGroupTcpProbe containerGroupTcpProbe = ContainerGroupTcpProbe.builder()\n\t\t\t.port(13817L)\n\t\t\t.build();\n\n\t\tContainerGroupLivenessProbe containerGroupLivenessProbe = ContainerGroupLivenessProbe.builder()\n\t\t\t.exec(containerGroupProbeExec)\n\t\t\t.failureThreshold(3L)\n\t\t\t.grpc(containerGroupGRpcProbe)\n\t\t\t.http(containerGroupHttpProbeConfiguration)\n\t\t\t.initialDelaySeconds(670L)\n\t\t\t.periodSeconds(10L)\n\t\t\t.successThreshold(1L)\n\t\t\t.tcp(containerGroupTcpProbe)\n\t\t\t.timeoutSeconds(30L)\n\t\t\t.build();\n\n\t\tCreateContainerGroupNetworking createContainerGroupNetworking = CreateContainerGroupNetworking.builder()\n\t\t\t.auth(false)\n\t\t\t.clientRequestTimeout(100000L)\n\t\t\t.loadBalancer(TheContainerGroupNetworkingLoadBalancer.ROUND_ROBIN)\n\t\t\t.port(60000L)\n\t\t\t.protocol(ContainerNetworkingProtocol.HTTP)\n\t\t\t.serverResponseTimeout(100000L)\n\t\t\t.singleConnectionLimit(false)\n\t\t\t.build();\n\n\t\tQueueBasedAutoscalerConfiguration queueBasedAutoscalerConfiguration = QueueBasedAutoscalerConfiguration.builder()\n\t\t\t.desiredQueueLength(53L)\n\t\t\t.maxDownscalePerMinute(59L)\n\t\t\t.maxReplicas(321L)\n\t\t\t.maxUpscalePerMinute(100L)\n\t\t\t.minReplicas(54L)\n\t\t\t.pollingPeriod(140L)\n\t\t\t.build();\n\n\t\tContainerGroupQueueConnection containerGroupQueueConnection = ContainerGroupQueueConnection.builder()\n\t\t\t.path(\"path\")\n\t\t\t.port(47568L)\n\t\t\t.queueName(\"z1h-3z01x9\")\n\t\t\t.build();\n\n\t\tContainerGroupReadinessProbe containerGroupReadinessProbe = ContainerGroupReadinessProbe.builder()\n\t\t\t.exec(containerGroupProbeExec)\n\t\t\t.failureThreshold(3L)\n\t\t\t.grpc(containerGroupGRpcProbe)\n\t\t\t.http(containerGroupHttpProbeConfiguration)\n\t\t\t.initialDelaySeconds(262L)\n\t\t\t.periodSeconds(1L)\n\t\t\t.successThreshold(1L)\n\t\t\t.tcp(containerGroupTcpProbe)\n\t\t\t.timeoutSeconds(1L)\n\t\t\t.build();\n\n\t\tContainerGroupScalingAction containerGroupScalingAction = ContainerGroupScalingAction.builder()\n\t\t\t.replicas(461L)\n\t\t\t.schedule(\"7kwC/T8C da x6Ci bM-rgGYn bDY6,vT\")\n\t\t\t.build();\n\n\t\tList\u003cContainerGroupScalingAction> scalingActionsList = Arrays.asList(containerGroupScalingAction);\n\n\t\tContainerGroupStartupProbe containerGroupStartupProbe = ContainerGroupStartupProbe.builder()\n\t\t\t.exec(containerGroupProbeExec)\n\t\t\t.failureThreshold(15L)\n\t\t\t.grpc(containerGroupGRpcProbe)\n\t\t\t.http(containerGroupHttpProbeConfiguration)\n\t\t\t.initialDelaySeconds(503L)\n\t\t\t.periodSeconds(3L)\n\t\t\t.successThreshold(2L)\n\t\t\t.tcp(containerGroupTcpProbe)\n\t\t\t.timeoutSeconds(10L)\n\t\t\t.build();\n\n\t\tContainerGroupCreationRequest containerGroupCreationRequest = ContainerGroupCreationRequest.builder()\n\t\t\t.autostartPolicy(false)\n\t\t\t.container(containerConfiguration)\n\t\t\t.countryCodes(countryCodesList)\n\t\t\t.displayName(\"KMg0KyVwpb\")\n\t\t\t.livenessProbe(containerGroupLivenessProbe)\n\t\t\t.name(\"name\")\n\t\t\t.networking(createContainerGroupNetworking)\n\t\t\t.queueAutoscaler(queueBasedAutoscalerConfiguration)\n\t\t\t.queueConnection(containerGroupQueueConnection)\n\t\t\t.readinessProbe(containerGroupReadinessProbe)\n\t\t\t.replicas(77L)\n\t\t\t.restartPolicy(ContainerRestartPolicy.ALWAYS)\n\t\t\t.scalingActions(scalingActionsList)\n\t\t\t.scheduledScalingEnabled(true)\n\t\t\t.startupProbe(containerGroupStartupProbe)\n\t\t\t.build();\n\n\t\tContainerGroup response = saladCloudSdk.containerGroups.createContainerGroup(\"acme-corp\", \"dev-env\", containerGroupCreationRequest);\n\n\t\tSystem.out.println(response);\n }\n}","lang":"Java"},{"source":"import (\n \"fmt\"\n \"encoding/json\"\n \"context\"\n \"github.com/saladtechnologies/salad-cloud-sdk-go/pkg/saladcloudsdkconfig\"\n \"github.com/saladtechnologies/salad-cloud-sdk-go/pkg/saladcloudsdk\"\n \"github.com/saladtechnologies/salad-cloud-sdk-go/pkg/util\"\n \"github.com/saladtechnologies/salad-cloud-sdk-go/pkg/containergroups\"\n \"github.com/saladtechnologies/salad-cloud-sdk-go/pkg/shared\"\n)\n\nconfig := saladcloudsdkconfig.NewConfig()\nconfig.SetApiKey(\"API_KEY\")\nclient := saladcloudsdk.NewSaladCloudSdk(config)\n\n\naxiomLoggingConfiguration := shared.AxiomLoggingConfiguration{\n ApiToken: util.ToPointer(\"api_token\"),\n Dataset: util.ToPointer(\"dataset\"),\n Host: util.ToPointer(\"host\"),\n}\n\n\ndatadogTagForContainerLogging := shared.DatadogTagForContainerLogging{\n Name: util.ToPointer(\"name\"),\n Value: util.ToPointer(\"value\"),\n}\n\ndatadogLoggingConfiguration := shared.DatadogLoggingConfiguration{\n ApiKey: util.ToPointer(\"api_key\"),\n Host: util.ToPointer(\"host\"),\n Tags: []shared.DatadogTagForContainerLogging{datadogTagForContainerLogging},\n}\n\ncontainerLoggingHttpCompression := shared.CONTAINER_LOGGING_HTTP_COMPRESSION_NONE\n\ncontainerLoggingHttpFormat := shared.CONTAINER_LOGGING_HTTP_FORMAT_JSON\n\n\ncontainerLoggingHttpHeader := shared.ContainerLoggingHttpHeader{\n Name: util.ToPointer(\"name\"),\n Value: util.ToPointer(\"value\"),\n}\n\ncontainerLoggingConfigurationHttp2 := containergroups.ContainerLoggingConfigurationHttp2{\n Compression: \u0026containerLoggingHttpCompression,\n Format: \u0026containerLoggingHttpFormat,\n Headers: []shared.ContainerLoggingHttpHeader{containerLoggingHttpHeader},\n Host: util.ToPointer(\"host\"),\n Password: util.ToPointer(util.Nullable[string]{ Value: \"password\" }),\n Path: util.ToPointer(util.Nullable[string]{ Value: \"path\" }),\n Port: util.ToPointer(int64(42056)),\n User: util.ToPointer(util.Nullable[string]{ Value: \"user\" }),\n}\n\n\nnewRelicLoggingConfiguration := shared.NewRelicLoggingConfiguration{\n Host: util.ToPointer(\"host\"),\n IngestionKey: util.ToPointer(\"ingestion_key\"),\n}\n\n\ncontainerLoggingSplunkConfiguration := shared.ContainerLoggingSplunkConfiguration{\n Host: util.ToPointer(\"host\"),\n Token: util.ToPointer(\"token\"),\n}\n\n\ntcpLoggingConfiguration := shared.TcpLoggingConfiguration{\n Host: util.ToPointer(\"host\"),\n Port: util.ToPointer(int64(44671)),\n}\n\ncontainerConfigurationLogging := containergroups.ContainerConfigurationLogging{\n Axiom: \u0026axiomLoggingConfiguration,\n Datadog: \u0026datadogLoggingConfiguration,\n Http: \u0026containerLoggingConfigurationHttp2,\n NewRelic: \u0026newRelicLoggingConfiguration,\n Splunk: \u0026containerLoggingSplunkConfiguration,\n Tcp: \u0026tcpLoggingConfiguration,\n}\n\ncontainerGroupPriority := shared.CONTAINER_GROUP_PRIORITY_HIGH\n\n\ncontainerRegistryAuthenticationAwsEcr := containergroups.ContainerRegistryAuthenticationAwsEcr{\n AccessKeyId: util.ToPointer(\"access_key_id\"),\n SecretAccessKey: util.ToPointer(\"secret_access_key\"),\n}\n\n\ncontainerRegistryAuthenticationBasic := containergroups.ContainerRegistryAuthenticationBasic{\n Password: util.ToPointer(\"password\"),\n Username: util.ToPointer(\"username\"),\n}\n\n\ncontainerRegistryAuthenticationDockerHub := containergroups.ContainerRegistryAuthenticationDockerHub{\n PersonalAccessToken: util.ToPointer(\"personal_access_token\"),\n Username: util.ToPointer(\"username\"),\n}\n\n\ncontainerRegistryAuthenticationGcpGar := containergroups.ContainerRegistryAuthenticationGcpGar{\n ServiceKey: util.ToPointer(\"service_key\"),\n}\n\n\ncontainerRegistryAuthenticationGcpGcr := containergroups.ContainerRegistryAuthenticationGcpGcr{\n ServiceKey: util.ToPointer(\"service_key\"),\n}\n\ncontainerRegistryAuthentication := containergroups.ContainerRegistryAuthentication{\n AwsEcr: \u0026containerRegistryAuthenticationAwsEcr,\n Basic: \u0026containerRegistryAuthenticationBasic,\n DockerHub: \u0026containerRegistryAuthenticationDockerHub,\n GcpGar: \u0026containerRegistryAuthenticationGcpGar,\n GcpGcr: \u0026containerRegistryAuthenticationGcpGcr,\n}\n\n\ncreateContainerResourceRequirements := containergroups.CreateContainerResourceRequirements{\n Cpu: util.ToPointer(int64(827)),\n GpuClasses: []string{},\n Memory: util.ToPointer(int64(734164836)),\n ShmSize: util.ToPointer(int64(64)),\n StorageAmount: util.ToPointer(int64(761306530849177.9)),\n}\n\ncontainerConfiguration := containergroups.ContainerConfiguration{\n Command: []string{},\n EnvironmentVariables: map[string]string{},\n Image: util.ToPointer(\"acme/:latest\"),\n ImageCaching: util.ToPointer(true),\n Logging: \u0026containerConfigurationLogging,\n Priority: \u0026containerGroupPriority,\n RegistryAuthentication: \u0026containerRegistryAuthentication,\n Resources: \u0026createContainerResourceRequirements,\n}\n\ncountryCode := shared.COUNTRY_CODE_AF\n\n\ncontainerGroupProbeExec := shared.ContainerGroupProbeExec{\n Command: []string{},\n}\n\n\ncontainerGroupGRpcProbe := shared.ContainerGroupGRpcProbe{\n Port: util.ToPointer(int64(37648)),\n Service: util.ToPointer(\"service\"),\n}\n\n\ncontainerGroupProbeHttpHeader := shared.ContainerGroupProbeHttpHeader{\n Name: util.ToPointer(\"name\"),\n Value: util.ToPointer(\"value\"),\n}\n\nhttpScheme := shared.HTTP_SCHEME_HTTP\n\ncontainerGroupHttpProbeConfiguration := shared.ContainerGroupHttpProbeConfiguration{\n Headers: []shared.ContainerGroupProbeHttpHeader{containerGroupProbeHttpHeader},\n Path: util.ToPointer(\"path\"),\n Port: util.ToPointer(int64(29069)),\n Scheme: \u0026httpScheme,\n}\n\n\ncontainerGroupTcpProbe := shared.ContainerGroupTcpProbe{\n Port: util.ToPointer(int64(13817)),\n}\n\ncontainerGroupLivenessProbe := shared.ContainerGroupLivenessProbe{\n Exec: \u0026containerGroupProbeExec,\n FailureThreshold: util.ToPointer(int64(3)),\n Grpc: \u0026containerGroupGRpcProbe,\n Http: \u0026containerGroupHttpProbeConfiguration,\n InitialDelaySeconds: util.ToPointer(int64(670)),\n PeriodSeconds: util.ToPointer(int64(10)),\n SuccessThreshold: util.ToPointer(int64(1)),\n Tcp: \u0026containerGroupTcpProbe,\n TimeoutSeconds: util.ToPointer(int64(30)),\n}\n\ntheContainerGroupNetworkingLoadBalancer := shared.THE_CONTAINER_GROUP_NETWORKING_LOAD_BALANCER_ROUND_ROBIN\n\ncontainerNetworkingProtocol := shared.CONTAINER_NETWORKING_PROTOCOL_HTTP\n\ncreateContainerGroupNetworking := containergroups.CreateContainerGroupNetworking{\n Auth: util.ToPointer(true),\n ClientRequestTimeout: util.ToPointer(int64(100000)),\n LoadBalancer: \u0026theContainerGroupNetworkingLoadBalancer,\n Port: util.ToPointer(int64(60000)),\n Protocol: \u0026containerNetworkingProtocol,\n ServerResponseTimeout: util.ToPointer(int64(100000)),\n SingleConnectionLimit: util.ToPointer(true),\n}\n\n\nqueueBasedAutoscalerConfiguration := shared.QueueBasedAutoscalerConfiguration{\n DesiredQueueLength: util.ToPointer(int64(53)),\n MaxDownscalePerMinute: util.ToPointer(int64(59)),\n MaxReplicas: util.ToPointer(int64(321)),\n MaxUpscalePerMinute: util.ToPointer(int64(100)),\n MinReplicas: util.ToPointer(int64(54)),\n PollingPeriod: util.ToPointer(int64(140)),\n}\n\n\ncontainerGroupQueueConnection := shared.ContainerGroupQueueConnection{\n Path: util.ToPointer(\"path\"),\n Port: util.ToPointer(int64(47568)),\n QueueName: util.ToPointer(\"z1h-3z01x9\"),\n}\n\n\ncontainerGroupProbeExec := shared.ContainerGroupProbeExec{\n Command: []string{},\n}\n\n\ncontainerGroupGRpcProbe := shared.ContainerGroupGRpcProbe{\n Port: util.ToPointer(int64(37648)),\n Service: util.ToPointer(\"service\"),\n}\n\n\ncontainerGroupProbeHttpHeader := shared.ContainerGroupProbeHttpHeader{\n Name: util.ToPointer(\"name\"),\n Value: util.ToPointer(\"value\"),\n}\n\nhttpScheme := shared.HTTP_SCHEME_HTTP\n\ncontainerGroupHttpProbeConfiguration := shared.ContainerGroupHttpProbeConfiguration{\n Headers: []shared.ContainerGroupProbeHttpHeader{containerGroupProbeHttpHeader},\n Path: util.ToPointer(\"path\"),\n Port: util.ToPointer(int64(29069)),\n Scheme: \u0026httpScheme,\n}\n\n\ncontainerGroupTcpProbe := shared.ContainerGroupTcpProbe{\n Port: util.ToPointer(int64(13817)),\n}\n\ncontainerGroupReadinessProbe := shared.ContainerGroupReadinessProbe{\n Exec: \u0026containerGroupProbeExec,\n FailureThreshold: util.ToPointer(int64(3)),\n Grpc: \u0026containerGroupGRpcProbe,\n Http: \u0026containerGroupHttpProbeConfiguration,\n InitialDelaySeconds: util.ToPointer(int64(262)),\n PeriodSeconds: util.ToPointer(int64(1)),\n SuccessThreshold: util.ToPointer(int64(1)),\n Tcp: \u0026containerGroupTcpProbe,\n TimeoutSeconds: util.ToPointer(int64(1)),\n}\n\ncontainerRestartPolicy := shared.CONTAINER_RESTART_POLICY_ALWAYS\n\n\ncontainerGroupScalingAction := shared.ContainerGroupScalingAction{\n Replicas: util.ToPointer(int64(461)),\n Schedule: util.ToPointer(\"7kwC/T8C da x6Ci bM-rgGYn bDY6,vT\"),\n}\n\n\ncontainerGroupProbeExec := shared.ContainerGroupProbeExec{\n Command: []string{},\n}\n\n\ncontainerGroupGRpcProbe := shared.ContainerGroupGRpcProbe{\n Port: util.ToPointer(int64(37648)),\n Service: util.ToPointer(\"service\"),\n}\n\n\ncontainerGroupProbeHttpHeader := shared.ContainerGroupProbeHttpHeader{\n Name: util.ToPointer(\"name\"),\n Value: util.ToPointer(\"value\"),\n}\n\nhttpScheme := shared.HTTP_SCHEME_HTTP\n\ncontainerGroupHttpProbeConfiguration := shared.ContainerGroupHttpProbeConfiguration{\n Headers: []shared.ContainerGroupProbeHttpHeader{containerGroupProbeHttpHeader},\n Path: util.ToPointer(\"path\"),\n Port: util.ToPointer(int64(29069)),\n Scheme: \u0026httpScheme,\n}\n\n\ncontainerGroupTcpProbe := shared.ContainerGroupTcpProbe{\n Port: util.ToPointer(int64(13817)),\n}\n\ncontainerGroupStartupProbe := shared.ContainerGroupStartupProbe{\n Exec: \u0026containerGroupProbeExec,\n FailureThreshold: util.ToPointer(int64(15)),\n Grpc: \u0026containerGroupGRpcProbe,\n Http: \u0026containerGroupHttpProbeConfiguration,\n InitialDelaySeconds: util.ToPointer(int64(503)),\n PeriodSeconds: util.ToPointer(int64(3)),\n SuccessThreshold: util.ToPointer(int64(2)),\n Tcp: \u0026containerGroupTcpProbe,\n TimeoutSeconds: util.ToPointer(int64(10)),\n}\n\nrequest := containergroups.ContainerGroupCreationRequest{\n AutostartPolicy: util.ToPointer(true),\n Container: \u0026containerConfiguration,\n CountryCodes: []shared.CountryCode{countryCode},\n DisplayName: util.ToPointer(\"KMg0KyVwpb\"),\n LivenessProbe: \u0026containerGroupLivenessProbe,\n Name: util.ToPointer(\"name\"),\n Networking: \u0026createContainerGroupNetworking,\n QueueAutoscaler: \u0026queueBasedAutoscalerConfiguration,\n QueueConnection: \u0026containerGroupQueueConnection,\n ReadinessProbe: \u0026containerGroupReadinessProbe,\n Replicas: util.ToPointer(int64(77)),\n RestartPolicy: \u0026containerRestartPolicy,\n ScalingActions: []shared.ContainerGroupScalingAction{containerGroupScalingAction},\n ScheduledScalingEnabled: util.ToPointer(true),\n StartupProbe: \u0026containerGroupStartupProbe,\n}\n\nresponse, err := client.ContainerGroups.CreateContainerGroup(context.Background(), \"acme-corp\", \"dev-env\", request)\nif err != nil {\n panic(err)\n}\n\nfmt.Println(response)","lang":"Go"},{"source":"import {\n AxiomLoggingConfiguration,\n ContainerConfiguration,\n ContainerConfigurationLogging,\n ContainerGroupCreationRequest,\n ContainerGroupGRpcProbe,\n ContainerGroupHttpProbeConfiguration,\n ContainerGroupLivenessProbe,\n ContainerGroupPriority,\n ContainerGroupProbeExec,\n ContainerGroupProbeHttpHeader,\n ContainerGroupQueueConnection,\n ContainerGroupReadinessProbe,\n ContainerGroupScalingAction,\n ContainerGroupStartupProbe,\n ContainerGroupTcpProbe,\n ContainerLoggingConfigurationHttp2,\n ContainerLoggingHttpCompression,\n ContainerLoggingHttpFormat,\n ContainerLoggingHttpHeader,\n ContainerLoggingSplunkConfiguration,\n ContainerNetworkingProtocol,\n ContainerRegistryAuthentication,\n ContainerRegistryAuthenticationAwsEcr,\n ContainerRegistryAuthenticationBasic,\n ContainerRegistryAuthenticationDockerHub,\n ContainerRegistryAuthenticationGcpGar,\n ContainerRegistryAuthenticationGcpGcr,\n ContainerRestartPolicy,\n CountryCode,\n CreateContainerGroupNetworking,\n CreateContainerResourceRequirements,\n DatadogLoggingConfiguration,\n DatadogTagForContainerLogging,\n HttpScheme,\n NewRelicLoggingConfiguration,\n QueueBasedAutoscalerConfiguration,\n SaladCloudSdk,\n TcpLoggingConfiguration,\n TheContainerGroupNetworkingLoadBalancer,\n} from '@saladtechnologies-oss/salad-cloud-sdk';\n\n(async () => {\n const saladCloudSdk = new SaladCloudSdk({\n apiKey: 'YOUR_API_KEY',\n });\n\n const axiomLoggingConfiguration: AxiomLoggingConfiguration = {\n apiToken: 'api_token',\n dataset: 'dataset',\n host: 'host',\n };\n\n const datadogTagForContainerLogging: DatadogTagForContainerLogging = {\n name: 'name',\n value: 'value',\n };\n\n const datadogLoggingConfiguration: DatadogLoggingConfiguration = {\n apiKey: 'api_key',\n host: 'host',\n tags: [datadogTagForContainerLogging],\n };\n\n const containerLoggingHttpCompression = ContainerLoggingHttpCompression.NONE;\n\n const containerLoggingHttpFormat = ContainerLoggingHttpFormat.JSON;\n\n const containerLoggingHttpHeader: ContainerLoggingHttpHeader = {\n name: 'name',\n value: 'value',\n };\n\n const containerLoggingConfigurationHttp2: ContainerLoggingConfigurationHttp2 = {\n compression: containerLoggingHttpCompression,\n format: containerLoggingHttpFormat,\n headers: [containerLoggingHttpHeader],\n host: 'host',\n password: 'password',\n path: 'path',\n port: 42056,\n user: 'user',\n };\n\n const newRelicLoggingConfiguration: NewRelicLoggingConfiguration = {\n host: 'host',\n ingestionKey: 'ingestion_key',\n };\n\n const containerLoggingSplunkConfiguration: ContainerLoggingSplunkConfiguration = {\n host: 'host',\n token: 'token',\n };\n\n const tcpLoggingConfiguration: TcpLoggingConfiguration = {\n host: 'host',\n port: 44671,\n };\n\n const containerConfigurationLogging: ContainerConfigurationLogging = {\n axiom: axiomLoggingConfiguration,\n datadog: datadogLoggingConfiguration,\n http: containerLoggingConfigurationHttp2,\n newRelic: newRelicLoggingConfiguration,\n splunk: containerLoggingSplunkConfiguration,\n tcp: tcpLoggingConfiguration,\n };\n\n const containerGroupPriority = ContainerGroupPriority.HIGH;\n\n const containerRegistryAuthenticationAwsEcr: ContainerRegistryAuthenticationAwsEcr = {\n accessKeyId: 'access_key_id',\n secretAccessKey: 'secret_access_key',\n };\n\n const containerRegistryAuthenticationBasic: ContainerRegistryAuthenticationBasic = {\n password: 'password',\n username: 'username',\n };\n\n const containerRegistryAuthenticationDockerHub: ContainerRegistryAuthenticationDockerHub = {\n personalAccessToken: 'personal_access_token',\n username: 'username',\n };\n\n const containerRegistryAuthenticationGcpGar: ContainerRegistryAuthenticationGcpGar = {\n serviceKey: 'service_key',\n };\n\n const containerRegistryAuthenticationGcpGcr: ContainerRegistryAuthenticationGcpGcr = {\n serviceKey: 'service_key',\n };\n\n const containerRegistryAuthentication: ContainerRegistryAuthentication = {\n awsEcr: containerRegistryAuthenticationAwsEcr,\n basic: containerRegistryAuthenticationBasic,\n dockerHub: containerRegistryAuthenticationDockerHub,\n gcpGar: containerRegistryAuthenticationGcpGar,\n gcpGcr: containerRegistryAuthenticationGcpGcr,\n };\n\n const createContainerResourceRequirements: CreateContainerResourceRequirements = {\n cpu: 827,\n gpuClasses: ['gpu_classes'],\n memory: 734164836,\n shmSize: 64,\n storageAmount: 761306530849177.9,\n };\n\n const containerConfiguration: ContainerConfiguration = {\n command: ['command'],\n environmentVariables: [],\n image: 'acme/:latest',\n imageCaching: true,\n logging: containerConfigurationLogging,\n priority: containerGroupPriority,\n registryAuthentication: containerRegistryAuthentication,\n resources: createContainerResourceRequirements,\n };\n\n const countryCode = CountryCode.AF;\n\n const containerGroupProbeExec: ContainerGroupProbeExec = {\n command: ['command'],\n };\n\n const containerGroupGRpcProbe: ContainerGroupGRpcProbe = {\n port: 37648,\n service: 'service',\n };\n\n const containerGroupProbeHttpHeader: ContainerGroupProbeHttpHeader = {\n name: 'name',\n value: 'value',\n };\n\n const httpScheme = HttpScheme.HTTP;\n\n const containerGroupHttpProbeConfiguration: ContainerGroupHttpProbeConfiguration = {\n headers: [containerGroupProbeHttpHeader],\n path: 'path',\n port: 29069,\n scheme: httpScheme,\n };\n\n const containerGroupTcpProbe: ContainerGroupTcpProbe = {\n port: 13817,\n };\n\n const containerGroupLivenessProbe: ContainerGroupLivenessProbe = {\n exec: containerGroupProbeExec,\n failureThreshold: 3,\n grpc: containerGroupGRpcProbe,\n http: containerGroupHttpProbeConfiguration,\n initialDelaySeconds: 670,\n periodSeconds: 10,\n successThreshold: 1,\n tcp: containerGroupTcpProbe,\n timeoutSeconds: 30,\n };\n\n const theContainerGroupNetworkingLoadBalancer = TheContainerGroupNetworkingLoadBalancer.ROUND_ROBIN;\n\n const containerNetworkingProtocol = ContainerNetworkingProtocol.HTTP;\n\n const createContainerGroupNetworking: CreateContainerGroupNetworking = {\n auth: true,\n clientRequestTimeout: 100000,\n loadBalancer: theContainerGroupNetworkingLoadBalancer,\n port: 60000,\n protocol: containerNetworkingProtocol,\n serverResponseTimeout: 100000,\n singleConnectionLimit: true,\n };\n\n const queueBasedAutoscalerConfiguration: QueueBasedAutoscalerConfiguration = {\n desiredQueueLength: 53,\n maxDownscalePerMinute: 59,\n maxReplicas: 321,\n maxUpscalePerMinute: 100,\n minReplicas: 54,\n pollingPeriod: 140,\n };\n\n const containerGroupQueueConnection: ContainerGroupQueueConnection = {\n path: 'path',\n port: 47568,\n queueName: 'z1h-3z01x9',\n };\n\n const containerGroupReadinessProbe: ContainerGroupReadinessProbe = {\n exec: containerGroupProbeExec,\n failureThreshold: 3,\n grpc: containerGroupGRpcProbe,\n http: containerGroupHttpProbeConfiguration,\n initialDelaySeconds: 262,\n periodSeconds: 1,\n successThreshold: 1,\n tcp: containerGroupTcpProbe,\n timeoutSeconds: 1,\n };\n\n const containerRestartPolicy = ContainerRestartPolicy.ALWAYS;\n\n const containerGroupScalingAction: ContainerGroupScalingAction = {\n replicas: 461,\n schedule: '7kwC/T8C da x6Ci bM-rgGYn bDY6,vT',\n };\n\n const containerGroupStartupProbe: ContainerGroupStartupProbe = {\n exec: containerGroupProbeExec,\n failureThreshold: 15,\n grpc: containerGroupGRpcProbe,\n http: containerGroupHttpProbeConfiguration,\n initialDelaySeconds: 503,\n periodSeconds: 3,\n successThreshold: 2,\n tcp: containerGroupTcpProbe,\n timeoutSeconds: 10,\n };\n\n const containerGroupCreationRequest: ContainerGroupCreationRequest = {\n autostartPolicy: true,\n container: containerConfiguration,\n countryCodes: [countryCode],\n displayName: 'KMg0KyVwpb',\n livenessProbe: containerGroupLivenessProbe,\n name: 'name',\n networking: createContainerGroupNetworking,\n queueAutoscaler: queueBasedAutoscalerConfiguration,\n queueConnection: containerGroupQueueConnection,\n readinessProbe: containerGroupReadinessProbe,\n replicas: 77,\n restartPolicy: containerRestartPolicy,\n scalingActions: [containerGroupScalingAction],\n scheduledScalingEnabled: true,\n startupProbe: containerGroupStartupProbe,\n };\n\n const { data } = await saladCloudSdk.containerGroups.createContainerGroup(\n 'acme-corp',\n 'dev-env',\n containerGroupCreationRequest,\n );\n\n console.log(data);\n})();","lang":"TypeScript"},{"source":"from salad_cloud_sdk import SaladCloudSdk\nfrom salad_cloud_sdk.models import ContainerGroupCreationRequest\n\nsdk = SaladCloudSdk(\n api_key=\"YOUR_API_KEY\",\n api_key_header=\"YOUR_API_KEY_HEADER\",\n timeout=10000\n)\n\nrequest_body = ContainerGroupCreationRequest(\n autostart_policy=False,\n container={\n \"command\": [\n \"command\"\n ],\n \"environment_variables\": {},\n \"image\": \"acme/:latest\",\n \"image_caching\": True,\n \"logging\": {\n \"axiom\": {\n \"api_token\": \"api_token\",\n \"dataset\": \"dataset\",\n \"host\": \"host\"\n },\n \"datadog\": {\n \"api_key\": \"api_key\",\n \"host\": \"host\",\n \"tags\": [\n {\n \"name\": \"name\",\n \"value\": \"value\"\n }\n ]\n },\n \"http\": {\n \"compression\": \"none\",\n \"format\": \"json\",\n \"headers\": [\n {\n \"name\": \"name\",\n \"value\": \"value\"\n }\n ],\n \"host\": \"host\",\n \"password\": \"password\",\n \"path\": \"path\",\n \"port\": 42056,\n \"user\": \"user\"\n },\n \"new_relic\": {\n \"host\": \"host\",\n \"ingestion_key\": \"ingestion_key\"\n },\n \"splunk\": {\n \"host\": \"host\",\n \"token\": \"token\"\n },\n \"tcp\": {\n \"host\": \"host\",\n \"port\": 44671\n }\n },\n \"priority\": \"high\",\n \"registry_authentication\": {\n \"aws_ecr\": {\n \"access_key_id\": \"access_key_id\",\n \"secret_access_key\": \"secret_access_key\"\n },\n \"basic\": {\n \"password\": \"password\",\n \"username\": \"username\"\n },\n \"docker_hub\": {\n \"personal_access_token\": \"personal_access_token\",\n \"username\": \"username\"\n },\n \"gcp_gar\": {\n \"service_key\": \"service_key\"\n },\n \"gcp_gcr\": {\n \"service_key\": \"service_key\"\n }\n },\n \"resources\": {\n \"cpu\": 827,\n \"gpu_classes\": [\n \"gpu_classes\"\n ],\n \"memory\": 734164836,\n \"shm_size\": 64,\n \"storage_amount\": 761306530849177.9\n }\n },\n country_codes=[\n \"af\"\n ],\n display_name=\"KMg0KyVwpb\",\n liveness_probe={\n \"exec_\": {\n \"command\": [\n \"command\"\n ]\n },\n \"failure_threshold\": 3,\n \"grpc\": {\n \"port\": 37648,\n \"service\": \"service\"\n },\n \"http\": {\n \"headers\": [\n {\n \"name\": \"name\",\n \"value\": \"value\"\n }\n ],\n \"path\": \"path\",\n \"port\": 29069,\n \"scheme\": \"http\"\n },\n \"initial_delay_seconds\": 670,\n \"period_seconds\": 10,\n \"success_threshold\": 1,\n \"tcp\": {\n \"port\": 13817\n },\n \"timeout_seconds\": 30\n },\n name=\"name\",\n networking={\n \"auth\": False,\n \"client_request_timeout\": 100000,\n \"load_balancer\": \"round_robin\",\n \"port\": 60000,\n \"protocol\": \"http\",\n \"server_response_timeout\": 100000,\n \"single_connection_limit\": False\n },\n queue_autoscaler={\n \"desired_queue_length\": 53,\n \"max_downscale_per_minute\": 59,\n \"max_replicas\": 321,\n \"max_upscale_per_minute\": 100,\n \"min_replicas\": 54,\n \"polling_period\": 140\n },\n queue_connection={\n \"path\": \"path\",\n \"port\": 47568,\n \"queue_name\": \"z1h-3z01x9\"\n },\n readiness_probe={\n \"exec_\": {\n \"command\": [\n \"command\"\n ]\n },\n \"failure_threshold\": 3,\n \"grpc\": {\n \"port\": 37648,\n \"service\": \"service\"\n },\n \"http\": {\n \"headers\": [\n {\n \"name\": \"name\",\n \"value\": \"value\"\n }\n ],\n \"path\": \"path\",\n \"port\": 29069,\n \"scheme\": \"http\"\n },\n \"initial_delay_seconds\": 262,\n \"period_seconds\": 1,\n \"success_threshold\": 1,\n \"tcp\": {\n \"port\": 13817\n },\n \"timeout_seconds\": 1\n },\n replicas=77,\n restart_policy=\"always\",\n scaling_actions=[\n {\n \"replicas\": 461,\n \"schedule\": \"7kwC/T8C da x6Ci bM-rgGYn bDY6,vT\"\n }\n ],\n scheduled_scaling_enabled=True,\n startup_probe={\n \"exec_\": {\n \"command\": [\n \"command\"\n ]\n },\n \"failure_threshold\": 15,\n \"grpc\": {\n \"port\": 37648,\n \"service\": \"service\"\n },\n \"http\": {\n \"headers\": [\n {\n \"name\": \"name\",\n \"value\": \"value\"\n }\n ],\n \"path\": \"path\",\n \"port\": 29069,\n \"scheme\": \"http\"\n },\n \"initial_delay_seconds\": 503,\n \"period_seconds\": 3,\n \"success_threshold\": 2,\n \"tcp\": {\n \"port\": 13817\n },\n \"timeout_seconds\": 10\n }\n)\n\nresult = sdk.container_groups.create_container_group(\n request_body=request_body,\n organization_name=\"acme-corp\",\n project_name=\"dev-env\"\n)\n\nprint(result)","lang":"Python"}],"method":"post","type":"path","servers":["984d8c00-672e-43a3-954b-7c01051f4b36"],"security":["d0ee2b14-68b4-4887-965a-3312f87c64f6"],"path":"/organizations/{organization_name}/projects/{project_name}/containers","baseUrlOptions":["https://api.salad.com/api/public"],"title":"Create Container Group","codeSamples":[{"lang":"C#","source":"using Salad.Cloud.SDK;\nusing Salad.Cloud.SDK.Config;\nusing Salad.Cloud.SDK.Models;\n\nvar config = new SaladCloudSdkConfig{};\n\nvar client = new SaladCloudSdkClient(config);\n\nvar gpuClasses = new List\u003cstring>() { \"gpu_classes\" };\nvar resources = new CreateContainerResourceRequirements(827, 734164836, gpuClasses, 64, 761306530849177.9);\nvar command = new List\u003cstring>() { \"command\" };\nvar axiom = new AxiomLoggingConfiguration(\"api_token\", \"dataset\", \"host\");\nvar tagsItem = new DatadogTagForContainerLogging(\"name\", \"value\");\nvar tags = new List\u003cDatadogTagForContainerLogging>() { tagsItem };\nvar datadog = new DatadogLoggingConfiguration(\"api_key\", \"host\", tags);\nvar headersItem = new ContainerLoggingHttpHeader(\"name\", \"value\");\nvar headers = new List\u003cContainerLoggingHttpHeader>() { headersItem };\nvar http = new ContainerLoggingConfigurationHttp2(ContainerLoggingHttpCompression.None, ContainerLoggingHttpFormat.Json, \"host\", 42056, headers, \"password\", \"path\", \"user\");\nvar newRelic = new NewRelicLoggingConfiguration(\"host\", \"ingestion_key\");\nvar splunk = new ContainerLoggingSplunkConfiguration(\"host\", \"token\");\nvar tcp = new TcpLoggingConfiguration(\"host\", 44671);\nvar logging = new ContainerConfigurationLogging(axiom, datadog, http, newRelic, splunk, tcp);\nvar awsEcr = new ContainerRegistryAuthenticationAwsEcr(\"access_key_id\", \"secret_access_key\");\nvar basic = new ContainerRegistryAuthenticationBasic(\"password\", \"username\");\nvar dockerHub = new ContainerRegistryAuthenticationDockerHub(\"personal_access_token\", \"username\");\nvar gcpGar = new ContainerRegistryAuthenticationGcpGar(\"service_key\");\nvar gcpGcr = new ContainerRegistryAuthenticationGcpGcr(\"service_key\");\nvar registryAuthentication = new ContainerRegistryAuthentication(awsEcr, basic, dockerHub, gcpGar, gcpGcr);\nvar container = new ContainerConfiguration(\"acme/:latest\", resources, command, new object(), true, logging, ContainerGroupPriority.High, registryAuthentication);\nvar countryCodes = new List\u003cCountryCode>() { CountryCode.Af };\nvar command = new List\u003cstring>() { \"command\" };\nvar exec = new ContainerGroupProbeExec(command);\nvar grpc = new ContainerGroupGRpcProbe(37648, \"service\");\nvar headersItem = new ContainerGroupProbeHttpHeader(\"name\", \"value\");\nvar headers = new List\u003cContainerGroupProbeHttpHeader>() { headersItem };\nvar http = new ContainerGroupHttpProbeConfiguration(headers, \"path\", 29069, HttpScheme.Http);\nvar tcp = new ContainerGroupTcpProbe(13817);\nvar livenessProbe = new ContainerGroupLivenessProbe(3, 670, 10, 1, 30, exec, grpc, http, tcp);\nvar networking = new CreateContainerGroupNetworking(false, 60000, ContainerNetworkingProtocol.Http, 100000, TheContainerGroupNetworkingLoadBalancer.RoundRobin, 100000, false);\nvar queueAutoscaler = new QueueBasedAutoscalerConfiguration(53, 321, 54, 59, 100, 140);\nvar queueConnection = new ContainerGroupQueueConnection(\"path\", 47568, \"z1h-3z01x9\");\nvar command = new List\u003cstring>() { \"command\" };\nvar exec = new ContainerGroupProbeExec(command);\nvar grpc = new ContainerGroupGRpcProbe(37648, \"service\");\nvar headersItem = new ContainerGroupProbeHttpHeader(\"name\", \"value\");\nvar headers = new List\u003cContainerGroupProbeHttpHeader>() { headersItem };\nvar http = new ContainerGroupHttpProbeConfiguration(headers, \"path\", 29069, HttpScheme.Http);\nvar tcp = new ContainerGroupTcpProbe(13817);\nvar readinessProbe = new ContainerGroupReadinessProbe(3, 262, 1, 1, 1, exec, grpc, http, tcp);\nvar scalingActionsItem = new ContainerGroupScalingAction(461, \"7kwC/T8C da x6Ci bM-rgGYn bDY6,vT\");\nvar scalingActions = new List\u003cContainerGroupScalingAction>() { scalingActionsItem };\nvar command = new List\u003cstring>() { \"command\" };\nvar exec = new ContainerGroupProbeExec(command);\nvar grpc = new ContainerGroupGRpcProbe(37648, \"service\");\nvar headersItem = new ContainerGroupProbeHttpHeader(\"name\", \"value\");\nvar headers = new List\u003cContainerGroupProbeHttpHeader>() { headersItem };\nvar http = new ContainerGroupHttpProbeConfiguration(headers, \"path\", 29069, HttpScheme.Http);\nvar tcp = new ContainerGroupTcpProbe(13817);\nvar startupProbe = new ContainerGroupStartupProbe(15, 503, 3, 2, 10, exec, grpc, http, tcp);\nvar input = new ContainerGroupCreationRequest(false, container, \"name\", 77, ContainerRestartPolicy.Always, countryCodes, \"KMg0KyVwpb\", livenessProbe, networking, queueAutoscaler, queueConnection, readinessProbe, scalingActions, true, startupProbe);\n\nvar response = await client.ContainerGroups.CreateContainerGroupAsync(input, \"acme-corp\", \"dev-env\");\n\nConsole.WriteLine(response);"},{"lang":"Java","source":"import com.salad.cloud.sdk.SaladCloudSdk;\nimport com.salad.cloud.sdk.config.ApiKeyAuthConfig;\nimport com.salad.cloud.sdk.config.SaladCloudSdkConfig;\nimport com.salad.cloud.sdk.models.AxiomLoggingConfiguration;\nimport com.salad.cloud.sdk.models.ContainerConfiguration;\nimport com.salad.cloud.sdk.models.ContainerConfigurationLogging;\nimport com.salad.cloud.sdk.models.ContainerGroup;\nimport com.salad.cloud.sdk.models.ContainerGroupCreationRequest;\nimport com.salad.cloud.sdk.models.ContainerGroupGRpcProbe;\nimport com.salad.cloud.sdk.models.ContainerGroupHttpProbeConfiguration;\nimport com.salad.cloud.sdk.models.ContainerGroupLivenessProbe;\nimport com.salad.cloud.sdk.models.ContainerGroupPriority;\nimport com.salad.cloud.sdk.models.ContainerGroupProbeExec;\nimport com.salad.cloud.sdk.models.ContainerGroupProbeHttpHeader;\nimport com.salad.cloud.sdk.models.ContainerGroupQueueConnection;\nimport com.salad.cloud.sdk.models.ContainerGroupReadinessProbe;\nimport com.salad.cloud.sdk.models.ContainerGroupScalingAction;\nimport com.salad.cloud.sdk.models.ContainerGroupStartupProbe;\nimport com.salad.cloud.sdk.models.ContainerGroupTcpProbe;\nimport com.salad.cloud.sdk.models.ContainerLoggingConfigurationHttp2;\nimport com.salad.cloud.sdk.models.ContainerLoggingHttpCompression;\nimport com.salad.cloud.sdk.models.ContainerLoggingHttpFormat;\nimport com.salad.cloud.sdk.models.ContainerLoggingHttpHeader;\nimport com.salad.cloud.sdk.models.ContainerLoggingSplunkConfiguration;\nimport com.salad.cloud.sdk.models.ContainerNetworkingProtocol;\nimport com.salad.cloud.sdk.models.ContainerRegistryAuthentication;\nimport com.salad.cloud.sdk.models.ContainerRegistryAuthenticationAwsEcr;\nimport com.salad.cloud.sdk.models.ContainerRegistryAuthenticationBasic;\nimport com.salad.cloud.sdk.models.ContainerRegistryAuthenticationDockerHub;\nimport com.salad.cloud.sdk.models.ContainerRegistryAuthenticationGcpGar;\nimport com.salad.cloud.sdk.models.ContainerRegistryAuthenticationGcpGcr;\nimport com.salad.cloud.sdk.models.ContainerRestartPolicy;\nimport com.salad.cloud.sdk.models.CountryCode;\nimport com.salad.cloud.sdk.models.CreateContainerGroupNetworking;\nimport com.salad.cloud.sdk.models.CreateContainerResourceRequirements;\nimport com.salad.cloud.sdk.models.DatadogLoggingConfiguration;\nimport com.salad.cloud.sdk.models.DatadogTagForContainerLogging;\nimport com.salad.cloud.sdk.models.HttpScheme;\nimport com.salad.cloud.sdk.models.NewRelicLoggingConfiguration;\nimport com.salad.cloud.sdk.models.QueueBasedAutoscalerConfiguration;\nimport com.salad.cloud.sdk.models.TcpLoggingConfiguration;\nimport com.salad.cloud.sdk.models.TheContainerGroupNetworkingLoadBalancer;\nimport java.util.Arrays;\nimport java.util.HashMap;\nimport java.util.List;\n\npublic class Main {\n public static void main(String[] args) {\n\t\tSaladCloudSdkConfig config = SaladCloudSdkConfig.builder()\n\t\t\t.apiKeyAuthConfig(\n\t\t\t\tApiKeyAuthConfig.builder()\n\t\t\t\t\t.apiKey(\"YOUR_API_KEY\")\n\t\t\t\t\t.build()\n\t\t\t)\n\t\t\t.build();\n\n\t\tSaladCloudSdk saladCloudSdk = new SaladCloudSdk(config);\n\n\t\tList\u003cString> commandList = Arrays.asList(\"command\");\n\n\t\tAxiomLoggingConfiguration axiomLoggingConfiguration = AxiomLoggingConfiguration.builder()\n\t\t\t.apiToken(\"api_token\")\n\t\t\t.dataset(\"dataset\")\n\t\t\t.host(\"host\")\n\t\t\t.build();\n\n\t\tDatadogTagForContainerLogging datadogTagForContainerLogging = DatadogTagForContainerLogging.builder()\n\t\t\t.name(\"name\")\n\t\t\t.value(\"value\")\n\t\t\t.build();\n\n\t\tList\u003cDatadogTagForContainerLogging> tagsList = Arrays.asList(datadogTagForContainerLogging);\n\n\t\tDatadogLoggingConfiguration datadogLoggingConfiguration = DatadogLoggingConfiguration.builder()\n\t\t\t.apiKey(\"api_key\")\n\t\t\t.host(\"host\")\n\t\t\t.tags(tagsList)\n\t\t\t.build();\n\n\t\tContainerLoggingHttpHeader containerLoggingHttpHeader = ContainerLoggingHttpHeader.builder()\n\t\t\t.name(\"name\")\n\t\t\t.value(\"value\")\n\t\t\t.build();\n\n\t\tList\u003cContainerLoggingHttpHeader> headersList = Arrays.asList(containerLoggingHttpHeader);\n\n\t\tContainerLoggingConfigurationHttp2 containerLoggingConfigurationHttp2 = ContainerLoggingConfigurationHttp2.builder()\n\t\t\t.compression(ContainerLoggingHttpCompression.NONE)\n\t\t\t.format(ContainerLoggingHttpFormat.JSON)\n\t\t\t.headers(headersList)\n\t\t\t.host(\"host\")\n\t\t\t.password(\"password\")\n\t\t\t.path(\"path\")\n\t\t\t.port(42056L)\n\t\t\t.user(\"user\")\n\t\t\t.build();\n\n\t\tNewRelicLoggingConfiguration newRelicLoggingConfiguration = NewRelicLoggingConfiguration.builder()\n\t\t\t.host(\"host\")\n\t\t\t.ingestionKey(\"ingestion_key\")\n\t\t\t.build();\n\n\t\tContainerLoggingSplunkConfiguration containerLoggingSplunkConfiguration = ContainerLoggingSplunkConfiguration.builder()\n\t\t\t.host(\"host\")\n\t\t\t.token(\"token\")\n\t\t\t.build();\n\n\t\tTcpLoggingConfiguration tcpLoggingConfiguration = TcpLoggingConfiguration.builder()\n\t\t\t.host(\"host\")\n\t\t\t.port(44671L)\n\t\t\t.build();\n\n\t\tContainerConfigurationLogging containerConfigurationLogging = ContainerConfigurationLogging.builder()\n\t\t\t.axiom(axiomLoggingConfiguration)\n\t\t\t.datadog(datadogLoggingConfiguration)\n\t\t\t.http(containerLoggingConfigurationHttp2)\n\t\t\t.newRelic(newRelicLoggingConfiguration)\n\t\t\t.splunk(containerLoggingSplunkConfiguration)\n\t\t\t.tcp(tcpLoggingConfiguration)\n\t\t\t.build();\n\n\t\tContainerRegistryAuthenticationAwsEcr containerRegistryAuthenticationAwsEcr = ContainerRegistryAuthenticationAwsEcr.builder()\n\t\t\t.accessKeyId(\"access_key_id\")\n\t\t\t.secretAccessKey(\"secret_access_key\")\n\t\t\t.build();\n\n\t\tContainerRegistryAuthenticationBasic containerRegistryAuthenticationBasic = ContainerRegistryAuthenticationBasic.builder()\n\t\t\t.password(\"password\")\n\t\t\t.username(\"username\")\n\t\t\t.build();\n\n\t\tContainerRegistryAuthenticationDockerHub containerRegistryAuthenticationDockerHub = ContainerRegistryAuthenticationDockerHub.builder()\n\t\t\t.personalAccessToken(\"personal_access_token\")\n\t\t\t.username(\"username\")\n\t\t\t.build();\n\n\t\tContainerRegistryAuthenticationGcpGar containerRegistryAuthenticationGcpGar = ContainerRegistryAuthenticationGcpGar.builder()\n\t\t\t.serviceKey(\"service_key\")\n\t\t\t.build();\n\n\t\tContainerRegistryAuthenticationGcpGcr containerRegistryAuthenticationGcpGcr = ContainerRegistryAuthenticationGcpGcr.builder()\n\t\t\t.serviceKey(\"service_key\")\n\t\t\t.build();\n\n\t\tContainerRegistryAuthentication containerRegistryAuthentication = ContainerRegistryAuthentication.builder()\n\t\t\t.awsEcr(containerRegistryAuthenticationAwsEcr)\n\t\t\t.basic(containerRegistryAuthenticationBasic)\n\t\t\t.dockerHub(containerRegistryAuthenticationDockerHub)\n\t\t\t.gcpGar(containerRegistryAuthenticationGcpGar)\n\t\t\t.gcpGcr(containerRegistryAuthenticationGcpGcr)\n\t\t\t.build();\n\n\t\tList\u003cString> gpuClassesList = Arrays.asList(\"gpu_classes\");\n\n\t\tCreateContainerResourceRequirements createContainerResourceRequirements = CreateContainerResourceRequirements.builder()\n\t\t\t.cpu(827L)\n\t\t\t.gpuClasses(gpuClassesList)\n\t\t\t.memory(734164836L)\n\t\t\t.shmSize(64L)\n\t\t\t.storageAmount(761306530849177.9L)\n\t\t\t.build();\n\n\t\tContainerConfiguration containerConfiguration = ContainerConfiguration.builder()\n\t\t\t.command(commandList)\n\t\t\t.environmentVariables(new HashMap())\n\t\t\t.image(\"acme/:latest\")\n\t\t\t.imageCaching(true)\n\t\t\t.logging(containerConfigurationLogging)\n\t\t\t.priority(ContainerGroupPriority.HIGH)\n\t\t\t.registryAuthentication(containerRegistryAuthentication)\n\t\t\t.resources(createContainerResourceRequirements)\n\t\t\t.build();\n\n\t\tList\u003cCountryCode> countryCodesList = Arrays.asList(CountryCode.AF);\n\n\t\tList\u003cString> commandList1 = Arrays.asList(\"command\");\n\n\t\tContainerGroupProbeExec containerGroupProbeExec = ContainerGroupProbeExec.builder()\n\t\t\t.command(commandList1)\n\t\t\t.build();\n\n\t\tContainerGroupGRpcProbe containerGroupGRpcProbe = ContainerGroupGRpcProbe.builder()\n\t\t\t.port(37648L)\n\t\t\t.service(\"service\")\n\t\t\t.build();\n\n\t\tContainerGroupProbeHttpHeader containerGroupProbeHttpHeader = ContainerGroupProbeHttpHeader.builder()\n\t\t\t.name(\"name\")\n\t\t\t.value(\"value\")\n\t\t\t.build();\n\n\t\tList\u003cContainerGroupProbeHttpHeader> headersList1 = Arrays.asList(containerGroupProbeHttpHeader);\n\n\t\tContainerGroupHttpProbeConfiguration containerGroupHttpProbeConfiguration = ContainerGroupHttpProbeConfiguration.builder()\n\t\t\t.headers(headersList1)\n\t\t\t.path(\"path\")\n\t\t\t.port(29069L)\n\t\t\t.scheme(HttpScheme.HTTP)\n\t\t\t.build();\n\n\t\tContainerGroupTcpProbe containerGroupTcpProbe = ContainerGroupTcpProbe.builder()\n\t\t\t.port(13817L)\n\t\t\t.build();\n\n\t\tContainerGroupLivenessProbe containerGroupLivenessProbe = ContainerGroupLivenessProbe.builder()\n\t\t\t.exec(containerGroupProbeExec)\n\t\t\t.failureThreshold(3L)\n\t\t\t.grpc(containerGroupGRpcProbe)\n\t\t\t.http(containerGroupHttpProbeConfiguration)\n\t\t\t.initialDelaySeconds(670L)\n\t\t\t.periodSeconds(10L)\n\t\t\t.successThreshold(1L)\n\t\t\t.tcp(containerGroupTcpProbe)\n\t\t\t.timeoutSeconds(30L)\n\t\t\t.build();\n\n\t\tCreateContainerGroupNetworking createContainerGroupNetworking = CreateContainerGroupNetworking.builder()\n\t\t\t.auth(false)\n\t\t\t.clientRequestTimeout(100000L)\n\t\t\t.loadBalancer(TheContainerGroupNetworkingLoadBalancer.ROUND_ROBIN)\n\t\t\t.port(60000L)\n\t\t\t.protocol(ContainerNetworkingProtocol.HTTP)\n\t\t\t.serverResponseTimeout(100000L)\n\t\t\t.singleConnectionLimit(false)\n\t\t\t.build();\n\n\t\tQueueBasedAutoscalerConfiguration queueBasedAutoscalerConfiguration = QueueBasedAutoscalerConfiguration.builder()\n\t\t\t.desiredQueueLength(53L)\n\t\t\t.maxDownscalePerMinute(59L)\n\t\t\t.maxReplicas(321L)\n\t\t\t.maxUpscalePerMinute(100L)\n\t\t\t.minReplicas(54L)\n\t\t\t.pollingPeriod(140L)\n\t\t\t.build();\n\n\t\tContainerGroupQueueConnection containerGroupQueueConnection = ContainerGroupQueueConnection.builder()\n\t\t\t.path(\"path\")\n\t\t\t.port(47568L)\n\t\t\t.queueName(\"z1h-3z01x9\")\n\t\t\t.build();\n\n\t\tContainerGroupReadinessProbe containerGroupReadinessProbe = ContainerGroupReadinessProbe.builder()\n\t\t\t.exec(containerGroupProbeExec)\n\t\t\t.failureThreshold(3L)\n\t\t\t.grpc(containerGroupGRpcProbe)\n\t\t\t.http(containerGroupHttpProbeConfiguration)\n\t\t\t.initialDelaySeconds(262L)\n\t\t\t.periodSeconds(1L)\n\t\t\t.successThreshold(1L)\n\t\t\t.tcp(containerGroupTcpProbe)\n\t\t\t.timeoutSeconds(1L)\n\t\t\t.build();\n\n\t\tContainerGroupScalingAction containerGroupScalingAction = ContainerGroupScalingAction.builder()\n\t\t\t.replicas(461L)\n\t\t\t.schedule(\"7kwC/T8C da x6Ci bM-rgGYn bDY6,vT\")\n\t\t\t.build();\n\n\t\tList\u003cContainerGroupScalingAction> scalingActionsList = Arrays.asList(containerGroupScalingAction);\n\n\t\tContainerGroupStartupProbe containerGroupStartupProbe = ContainerGroupStartupProbe.builder()\n\t\t\t.exec(containerGroupProbeExec)\n\t\t\t.failureThreshold(15L)\n\t\t\t.grpc(containerGroupGRpcProbe)\n\t\t\t.http(containerGroupHttpProbeConfiguration)\n\t\t\t.initialDelaySeconds(503L)\n\t\t\t.periodSeconds(3L)\n\t\t\t.successThreshold(2L)\n\t\t\t.tcp(containerGroupTcpProbe)\n\t\t\t.timeoutSeconds(10L)\n\t\t\t.build();\n\n\t\tContainerGroupCreationRequest containerGroupCreationRequest = ContainerGroupCreationRequest.builder()\n\t\t\t.autostartPolicy(false)\n\t\t\t.container(containerConfiguration)\n\t\t\t.countryCodes(countryCodesList)\n\t\t\t.displayName(\"KMg0KyVwpb\")\n\t\t\t.livenessProbe(containerGroupLivenessProbe)\n\t\t\t.name(\"name\")\n\t\t\t.networking(createContainerGroupNetworking)\n\t\t\t.queueAutoscaler(queueBasedAutoscalerConfiguration)\n\t\t\t.queueConnection(containerGroupQueueConnection)\n\t\t\t.readinessProbe(containerGroupReadinessProbe)\n\t\t\t.replicas(77L)\n\t\t\t.restartPolicy(ContainerRestartPolicy.ALWAYS)\n\t\t\t.scalingActions(scalingActionsList)\n\t\t\t.scheduledScalingEnabled(true)\n\t\t\t.startupProbe(containerGroupStartupProbe)\n\t\t\t.build();\n\n\t\tContainerGroup response = saladCloudSdk.containerGroups.createContainerGroup(\"acme-corp\", \"dev-env\", containerGroupCreationRequest);\n\n\t\tSystem.out.println(response);\n }\n}"},{"lang":"Go","source":"import (\n \"fmt\"\n \"encoding/json\"\n \"context\"\n \"github.com/saladtechnologies/salad-cloud-sdk-go/pkg/saladcloudsdkconfig\"\n \"github.com/saladtechnologies/salad-cloud-sdk-go/pkg/saladcloudsdk\"\n \"github.com/saladtechnologies/salad-cloud-sdk-go/pkg/util\"\n \"github.com/saladtechnologies/salad-cloud-sdk-go/pkg/containergroups\"\n \"github.com/saladtechnologies/salad-cloud-sdk-go/pkg/shared\"\n)\n\nconfig := saladcloudsdkconfig.NewConfig()\nconfig.SetApiKey(\"API_KEY\")\nclient := saladcloudsdk.NewSaladCloudSdk(config)\n\n\naxiomLoggingConfiguration := shared.AxiomLoggingConfiguration{\n ApiToken: util.ToPointer(\"api_token\"),\n Dataset: util.ToPointer(\"dataset\"),\n Host: util.ToPointer(\"host\"),\n}\n\n\ndatadogTagForContainerLogging := shared.DatadogTagForContainerLogging{\n Name: util.ToPointer(\"name\"),\n Value: util.ToPointer(\"value\"),\n}\n\ndatadogLoggingConfiguration := shared.DatadogLoggingConfiguration{\n ApiKey: util.ToPointer(\"api_key\"),\n Host: util.ToPointer(\"host\"),\n Tags: []shared.DatadogTagForContainerLogging{datadogTagForContainerLogging},\n}\n\ncontainerLoggingHttpCompression := shared.CONTAINER_LOGGING_HTTP_COMPRESSION_NONE\n\ncontainerLoggingHttpFormat := shared.CONTAINER_LOGGING_HTTP_FORMAT_JSON\n\n\ncontainerLoggingHttpHeader := shared.ContainerLoggingHttpHeader{\n Name: util.ToPointer(\"name\"),\n Value: util.ToPointer(\"value\"),\n}\n\ncontainerLoggingConfigurationHttp2 := containergroups.ContainerLoggingConfigurationHttp2{\n Compression: \u0026containerLoggingHttpCompression,\n Format: \u0026containerLoggingHttpFormat,\n Headers: []shared.ContainerLoggingHttpHeader{containerLoggingHttpHeader},\n Host: util.ToPointer(\"host\"),\n Password: util.ToPointer(util.Nullable[string]{ Value: \"password\" }),\n Path: util.ToPointer(util.Nullable[string]{ Value: \"path\" }),\n Port: util.ToPointer(int64(42056)),\n User: util.ToPointer(util.Nullable[string]{ Value: \"user\" }),\n}\n\n\nnewRelicLoggingConfiguration := shared.NewRelicLoggingConfiguration{\n Host: util.ToPointer(\"host\"),\n IngestionKey: util.ToPointer(\"ingestion_key\"),\n}\n\n\ncontainerLoggingSplunkConfiguration := shared.ContainerLoggingSplunkConfiguration{\n Host: util.ToPointer(\"host\"),\n Token: util.ToPointer(\"token\"),\n}\n\n\ntcpLoggingConfiguration := shared.TcpLoggingConfiguration{\n Host: util.ToPointer(\"host\"),\n Port: util.ToPointer(int64(44671)),\n}\n\ncontainerConfigurationLogging := containergroups.ContainerConfigurationLogging{\n Axiom: \u0026axiomLoggingConfiguration,\n Datadog: \u0026datadogLoggingConfiguration,\n Http: \u0026containerLoggingConfigurationHttp2,\n NewRelic: \u0026newRelicLoggingConfiguration,\n Splunk: \u0026containerLoggingSplunkConfiguration,\n Tcp: \u0026tcpLoggingConfiguration,\n}\n\ncontainerGroupPriority := shared.CONTAINER_GROUP_PRIORITY_HIGH\n\n\ncontainerRegistryAuthenticationAwsEcr := containergroups.ContainerRegistryAuthenticationAwsEcr{\n AccessKeyId: util.ToPointer(\"access_key_id\"),\n SecretAccessKey: util.ToPointer(\"secret_access_key\"),\n}\n\n\ncontainerRegistryAuthenticationBasic := containergroups.ContainerRegistryAuthenticationBasic{\n Password: util.ToPointer(\"password\"),\n Username: util.ToPointer(\"username\"),\n}\n\n\ncontainerRegistryAuthenticationDockerHub := containergroups.ContainerRegistryAuthenticationDockerHub{\n PersonalAccessToken: util.ToPointer(\"personal_access_token\"),\n Username: util.ToPointer(\"username\"),\n}\n\n\ncontainerRegistryAuthenticationGcpGar := containergroups.ContainerRegistryAuthenticationGcpGar{\n ServiceKey: util.ToPointer(\"service_key\"),\n}\n\n\ncontainerRegistryAuthenticationGcpGcr := containergroups.ContainerRegistryAuthenticationGcpGcr{\n ServiceKey: util.ToPointer(\"service_key\"),\n}\n\ncontainerRegistryAuthentication := containergroups.ContainerRegistryAuthentication{\n AwsEcr: \u0026containerRegistryAuthenticationAwsEcr,\n Basic: \u0026containerRegistryAuthenticationBasic,\n DockerHub: \u0026containerRegistryAuthenticationDockerHub,\n GcpGar: \u0026containerRegistryAuthenticationGcpGar,\n GcpGcr: \u0026containerRegistryAuthenticationGcpGcr,\n}\n\n\ncreateContainerResourceRequirements := containergroups.CreateContainerResourceRequirements{\n Cpu: util.ToPointer(int64(827)),\n GpuClasses: []string{},\n Memory: util.ToPointer(int64(734164836)),\n ShmSize: util.ToPointer(int64(64)),\n StorageAmount: util.ToPointer(int64(761306530849177.9)),\n}\n\ncontainerConfiguration := containergroups.ContainerConfiguration{\n Command: []string{},\n EnvironmentVariables: map[string]string{},\n Image: util.ToPointer(\"acme/:latest\"),\n ImageCaching: util.ToPointer(true),\n Logging: \u0026containerConfigurationLogging,\n Priority: \u0026containerGroupPriority,\n RegistryAuthentication: \u0026containerRegistryAuthentication,\n Resources: \u0026createContainerResourceRequirements,\n}\n\ncountryCode := shared.COUNTRY_CODE_AF\n\n\ncontainerGroupProbeExec := shared.ContainerGroupProbeExec{\n Command: []string{},\n}\n\n\ncontainerGroupGRpcProbe := shared.ContainerGroupGRpcProbe{\n Port: util.ToPointer(int64(37648)),\n Service: util.ToPointer(\"service\"),\n}\n\n\ncontainerGroupProbeHttpHeader := shared.ContainerGroupProbeHttpHeader{\n Name: util.ToPointer(\"name\"),\n Value: util.ToPointer(\"value\"),\n}\n\nhttpScheme := shared.HTTP_SCHEME_HTTP\n\ncontainerGroupHttpProbeConfiguration := shared.ContainerGroupHttpProbeConfiguration{\n Headers: []shared.ContainerGroupProbeHttpHeader{containerGroupProbeHttpHeader},\n Path: util.ToPointer(\"path\"),\n Port: util.ToPointer(int64(29069)),\n Scheme: \u0026httpScheme,\n}\n\n\ncontainerGroupTcpProbe := shared.ContainerGroupTcpProbe{\n Port: util.ToPointer(int64(13817)),\n}\n\ncontainerGroupLivenessProbe := shared.ContainerGroupLivenessProbe{\n Exec: \u0026containerGroupProbeExec,\n FailureThreshold: util.ToPointer(int64(3)),\n Grpc: \u0026containerGroupGRpcProbe,\n Http: \u0026containerGroupHttpProbeConfiguration,\n InitialDelaySeconds: util.ToPointer(int64(670)),\n PeriodSeconds: util.ToPointer(int64(10)),\n SuccessThreshold: util.ToPointer(int64(1)),\n Tcp: \u0026containerGroupTcpProbe,\n TimeoutSeconds: util.ToPointer(int64(30)),\n}\n\ntheContainerGroupNetworkingLoadBalancer := shared.THE_CONTAINER_GROUP_NETWORKING_LOAD_BALANCER_ROUND_ROBIN\n\ncontainerNetworkingProtocol := shared.CONTAINER_NETWORKING_PROTOCOL_HTTP\n\ncreateContainerGroupNetworking := containergroups.CreateContainerGroupNetworking{\n Auth: util.ToPointer(true),\n ClientRequestTimeout: util.ToPointer(int64(100000)),\n LoadBalancer: \u0026theContainerGroupNetworkingLoadBalancer,\n Port: util.ToPointer(int64(60000)),\n Protocol: \u0026containerNetworkingProtocol,\n ServerResponseTimeout: util.ToPointer(int64(100000)),\n SingleConnectionLimit: util.ToPointer(true),\n}\n\n\nqueueBasedAutoscalerConfiguration := shared.QueueBasedAutoscalerConfiguration{\n DesiredQueueLength: util.ToPointer(int64(53)),\n MaxDownscalePerMinute: util.ToPointer(int64(59)),\n MaxReplicas: util.ToPointer(int64(321)),\n MaxUpscalePerMinute: util.ToPointer(int64(100)),\n MinReplicas: util.ToPointer(int64(54)),\n PollingPeriod: util.ToPointer(int64(140)),\n}\n\n\ncontainerGroupQueueConnection := shared.ContainerGroupQueueConnection{\n Path: util.ToPointer(\"path\"),\n Port: util.ToPointer(int64(47568)),\n QueueName: util.ToPointer(\"z1h-3z01x9\"),\n}\n\n\ncontainerGroupProbeExec := shared.ContainerGroupProbeExec{\n Command: []string{},\n}\n\n\ncontainerGroupGRpcProbe := shared.ContainerGroupGRpcProbe{\n Port: util.ToPointer(int64(37648)),\n Service: util.ToPointer(\"service\"),\n}\n\n\ncontainerGroupProbeHttpHeader := shared.ContainerGroupProbeHttpHeader{\n Name: util.ToPointer(\"name\"),\n Value: util.ToPointer(\"value\"),\n}\n\nhttpScheme := shared.HTTP_SCHEME_HTTP\n\ncontainerGroupHttpProbeConfiguration := shared.ContainerGroupHttpProbeConfiguration{\n Headers: []shared.ContainerGroupProbeHttpHeader{containerGroupProbeHttpHeader},\n Path: util.ToPointer(\"path\"),\n Port: util.ToPointer(int64(29069)),\n Scheme: \u0026httpScheme,\n}\n\n\ncontainerGroupTcpProbe := shared.ContainerGroupTcpProbe{\n Port: util.ToPointer(int64(13817)),\n}\n\ncontainerGroupReadinessProbe := shared.ContainerGroupReadinessProbe{\n Exec: \u0026containerGroupProbeExec,\n FailureThreshold: util.ToPointer(int64(3)),\n Grpc: \u0026containerGroupGRpcProbe,\n Http: \u0026containerGroupHttpProbeConfiguration,\n InitialDelaySeconds: util.ToPointer(int64(262)),\n PeriodSeconds: util.ToPointer(int64(1)),\n SuccessThreshold: util.ToPointer(int64(1)),\n Tcp: \u0026containerGroupTcpProbe,\n TimeoutSeconds: util.ToPointer(int64(1)),\n}\n\ncontainerRestartPolicy := shared.CONTAINER_RESTART_POLICY_ALWAYS\n\n\ncontainerGroupScalingAction := shared.ContainerGroupScalingAction{\n Replicas: util.ToPointer(int64(461)),\n Schedule: util.ToPointer(\"7kwC/T8C da x6Ci bM-rgGYn bDY6,vT\"),\n}\n\n\ncontainerGroupProbeExec := shared.ContainerGroupProbeExec{\n Command: []string{},\n}\n\n\ncontainerGroupGRpcProbe := shared.ContainerGroupGRpcProbe{\n Port: util.ToPointer(int64(37648)),\n Service: util.ToPointer(\"service\"),\n}\n\n\ncontainerGroupProbeHttpHeader := shared.ContainerGroupProbeHttpHeader{\n Name: util.ToPointer(\"name\"),\n Value: util.ToPointer(\"value\"),\n}\n\nhttpScheme := shared.HTTP_SCHEME_HTTP\n\ncontainerGroupHttpProbeConfiguration := shared.ContainerGroupHttpProbeConfiguration{\n Headers: []shared.ContainerGroupProbeHttpHeader{containerGroupProbeHttpHeader},\n Path: util.ToPointer(\"path\"),\n Port: util.ToPointer(int64(29069)),\n Scheme: \u0026httpScheme,\n}\n\n\ncontainerGroupTcpProbe := shared.ContainerGroupTcpProbe{\n Port: util.ToPointer(int64(13817)),\n}\n\ncontainerGroupStartupProbe := shared.ContainerGroupStartupProbe{\n Exec: \u0026containerGroupProbeExec,\n FailureThreshold: util.ToPointer(int64(15)),\n Grpc: \u0026containerGroupGRpcProbe,\n Http: \u0026containerGroupHttpProbeConfiguration,\n InitialDelaySeconds: util.ToPointer(int64(503)),\n PeriodSeconds: util.ToPointer(int64(3)),\n SuccessThreshold: util.ToPointer(int64(2)),\n Tcp: \u0026containerGroupTcpProbe,\n TimeoutSeconds: util.ToPointer(int64(10)),\n}\n\nrequest := containergroups.ContainerGroupCreationRequest{\n AutostartPolicy: util.ToPointer(true),\n Container: \u0026containerConfiguration,\n CountryCodes: []shared.CountryCode{countryCode},\n DisplayName: util.ToPointer(\"KMg0KyVwpb\"),\n LivenessProbe: \u0026containerGroupLivenessProbe,\n Name: util.ToPointer(\"name\"),\n Networking: \u0026createContainerGroupNetworking,\n QueueAutoscaler: \u0026queueBasedAutoscalerConfiguration,\n QueueConnection: \u0026containerGroupQueueConnection,\n ReadinessProbe: \u0026containerGroupReadinessProbe,\n Replicas: util.ToPointer(int64(77)),\n RestartPolicy: \u0026containerRestartPolicy,\n ScalingActions: []shared.ContainerGroupScalingAction{containerGroupScalingAction},\n ScheduledScalingEnabled: util.ToPointer(true),\n StartupProbe: \u0026containerGroupStartupProbe,\n}\n\nresponse, err := client.ContainerGroups.CreateContainerGroup(context.Background(), \"acme-corp\", \"dev-env\", request)\nif err != nil {\n panic(err)\n}\n\nfmt.Println(response)"},{"lang":"TypeScript","source":"import {\n AxiomLoggingConfiguration,\n ContainerConfiguration,\n ContainerConfigurationLogging,\n ContainerGroupCreationRequest,\n ContainerGroupGRpcProbe,\n ContainerGroupHttpProbeConfiguration,\n ContainerGroupLivenessProbe,\n ContainerGroupPriority,\n ContainerGroupProbeExec,\n ContainerGroupProbeHttpHeader,\n ContainerGroupQueueConnection,\n ContainerGroupReadinessProbe,\n ContainerGroupScalingAction,\n ContainerGroupStartupProbe,\n ContainerGroupTcpProbe,\n ContainerLoggingConfigurationHttp2,\n ContainerLoggingHttpCompression,\n ContainerLoggingHttpFormat,\n ContainerLoggingHttpHeader,\n ContainerLoggingSplunkConfiguration,\n ContainerNetworkingProtocol,\n ContainerRegistryAuthentication,\n ContainerRegistryAuthenticationAwsEcr,\n ContainerRegistryAuthenticationBasic,\n ContainerRegistryAuthenticationDockerHub,\n ContainerRegistryAuthenticationGcpGar,\n ContainerRegistryAuthenticationGcpGcr,\n ContainerRestartPolicy,\n CountryCode,\n CreateContainerGroupNetworking,\n CreateContainerResourceRequirements,\n DatadogLoggingConfiguration,\n DatadogTagForContainerLogging,\n HttpScheme,\n NewRelicLoggingConfiguration,\n QueueBasedAutoscalerConfiguration,\n SaladCloudSdk,\n TcpLoggingConfiguration,\n TheContainerGroupNetworkingLoadBalancer,\n} from '@saladtechnologies-oss/salad-cloud-sdk';\n\n(async () => {\n const saladCloudSdk = new SaladCloudSdk({\n apiKey: 'YOUR_API_KEY',\n });\n\n const axiomLoggingConfiguration: AxiomLoggingConfiguration = {\n apiToken: 'api_token',\n dataset: 'dataset',\n host: 'host',\n };\n\n const datadogTagForContainerLogging: DatadogTagForContainerLogging = {\n name: 'name',\n value: 'value',\n };\n\n const datadogLoggingConfiguration: DatadogLoggingConfiguration = {\n apiKey: 'api_key',\n host: 'host',\n tags: [datadogTagForContainerLogging],\n };\n\n const containerLoggingHttpCompression = ContainerLoggingHttpCompression.NONE;\n\n const containerLoggingHttpFormat = ContainerLoggingHttpFormat.JSON;\n\n const containerLoggingHttpHeader: ContainerLoggingHttpHeader = {\n name: 'name',\n value: 'value',\n };\n\n const containerLoggingConfigurationHttp2: ContainerLoggingConfigurationHttp2 = {\n compression: containerLoggingHttpCompression,\n format: containerLoggingHttpFormat,\n headers: [containerLoggingHttpHeader],\n host: 'host',\n password: 'password',\n path: 'path',\n port: 42056,\n user: 'user',\n };\n\n const newRelicLoggingConfiguration: NewRelicLoggingConfiguration = {\n host: 'host',\n ingestionKey: 'ingestion_key',\n };\n\n const containerLoggingSplunkConfiguration: ContainerLoggingSplunkConfiguration = {\n host: 'host',\n token: 'token',\n };\n\n const tcpLoggingConfiguration: TcpLoggingConfiguration = {\n host: 'host',\n port: 44671,\n };\n\n const containerConfigurationLogging: ContainerConfigurationLogging = {\n axiom: axiomLoggingConfiguration,\n datadog: datadogLoggingConfiguration,\n http: containerLoggingConfigurationHttp2,\n newRelic: newRelicLoggingConfiguration,\n splunk: containerLoggingSplunkConfiguration,\n tcp: tcpLoggingConfiguration,\n };\n\n const containerGroupPriority = ContainerGroupPriority.HIGH;\n\n const containerRegistryAuthenticationAwsEcr: ContainerRegistryAuthenticationAwsEcr = {\n accessKeyId: 'access_key_id',\n secretAccessKey: 'secret_access_key',\n };\n\n const containerRegistryAuthenticationBasic: ContainerRegistryAuthenticationBasic = {\n password: 'password',\n username: 'username',\n };\n\n const containerRegistryAuthenticationDockerHub: ContainerRegistryAuthenticationDockerHub = {\n personalAccessToken: 'personal_access_token',\n username: 'username',\n };\n\n const containerRegistryAuthenticationGcpGar: ContainerRegistryAuthenticationGcpGar = {\n serviceKey: 'service_key',\n };\n\n const containerRegistryAuthenticationGcpGcr: ContainerRegistryAuthenticationGcpGcr = {\n serviceKey: 'service_key',\n };\n\n const containerRegistryAuthentication: ContainerRegistryAuthentication = {\n awsEcr: containerRegistryAuthenticationAwsEcr,\n basic: containerRegistryAuthenticationBasic,\n dockerHub: containerRegistryAuthenticationDockerHub,\n gcpGar: containerRegistryAuthenticationGcpGar,\n gcpGcr: containerRegistryAuthenticationGcpGcr,\n };\n\n const createContainerResourceRequirements: CreateContainerResourceRequirements = {\n cpu: 827,\n gpuClasses: ['gpu_classes'],\n memory: 734164836,\n shmSize: 64,\n storageAmount: 761306530849177.9,\n };\n\n const containerConfiguration: ContainerConfiguration = {\n command: ['command'],\n environmentVariables: [],\n image: 'acme/:latest',\n imageCaching: true,\n logging: containerConfigurationLogging,\n priority: containerGroupPriority,\n registryAuthentication: containerRegistryAuthentication,\n resources: createContainerResourceRequirements,\n };\n\n const countryCode = CountryCode.AF;\n\n const containerGroupProbeExec: ContainerGroupProbeExec = {\n command: ['command'],\n };\n\n const containerGroupGRpcProbe: ContainerGroupGRpcProbe = {\n port: 37648,\n service: 'service',\n };\n\n const containerGroupProbeHttpHeader: ContainerGroupProbeHttpHeader = {\n name: 'name',\n value: 'value',\n };\n\n const httpScheme = HttpScheme.HTTP;\n\n const containerGroupHttpProbeConfiguration: ContainerGroupHttpProbeConfiguration = {\n headers: [containerGroupProbeHttpHeader],\n path: 'path',\n port: 29069,\n scheme: httpScheme,\n };\n\n const containerGroupTcpProbe: ContainerGroupTcpProbe = {\n port: 13817,\n };\n\n const containerGroupLivenessProbe: ContainerGroupLivenessProbe = {\n exec: containerGroupProbeExec,\n failureThreshold: 3,\n grpc: containerGroupGRpcProbe,\n http: containerGroupHttpProbeConfiguration,\n initialDelaySeconds: 670,\n periodSeconds: 10,\n successThreshold: 1,\n tcp: containerGroupTcpProbe,\n timeoutSeconds: 30,\n };\n\n const theContainerGroupNetworkingLoadBalancer = TheContainerGroupNetworkingLoadBalancer.ROUND_ROBIN;\n\n const containerNetworkingProtocol = ContainerNetworkingProtocol.HTTP;\n\n const createContainerGroupNetworking: CreateContainerGroupNetworking = {\n auth: true,\n clientRequestTimeout: 100000,\n loadBalancer: theContainerGroupNetworkingLoadBalancer,\n port: 60000,\n protocol: containerNetworkingProtocol,\n serverResponseTimeout: 100000,\n singleConnectionLimit: true,\n };\n\n const queueBasedAutoscalerConfiguration: QueueBasedAutoscalerConfiguration = {\n desiredQueueLength: 53,\n maxDownscalePerMinute: 59,\n maxReplicas: 321,\n maxUpscalePerMinute: 100,\n minReplicas: 54,\n pollingPeriod: 140,\n };\n\n const containerGroupQueueConnection: ContainerGroupQueueConnection = {\n path: 'path',\n port: 47568,\n queueName: 'z1h-3z01x9',\n };\n\n const containerGroupReadinessProbe: ContainerGroupReadinessProbe = {\n exec: containerGroupProbeExec,\n failureThreshold: 3,\n grpc: containerGroupGRpcProbe,\n http: containerGroupHttpProbeConfiguration,\n initialDelaySeconds: 262,\n periodSeconds: 1,\n successThreshold: 1,\n tcp: containerGroupTcpProbe,\n timeoutSeconds: 1,\n };\n\n const containerRestartPolicy = ContainerRestartPolicy.ALWAYS;\n\n const containerGroupScalingAction: ContainerGroupScalingAction = {\n replicas: 461,\n schedule: '7kwC/T8C da x6Ci bM-rgGYn bDY6,vT',\n };\n\n const containerGroupStartupProbe: ContainerGroupStartupProbe = {\n exec: containerGroupProbeExec,\n failureThreshold: 15,\n grpc: containerGroupGRpcProbe,\n http: containerGroupHttpProbeConfiguration,\n initialDelaySeconds: 503,\n periodSeconds: 3,\n successThreshold: 2,\n tcp: containerGroupTcpProbe,\n timeoutSeconds: 10,\n };\n\n const containerGroupCreationRequest: ContainerGroupCreationRequest = {\n autostartPolicy: true,\n container: containerConfiguration,\n countryCodes: [countryCode],\n displayName: 'KMg0KyVwpb',\n livenessProbe: containerGroupLivenessProbe,\n name: 'name',\n networking: createContainerGroupNetworking,\n queueAutoscaler: queueBasedAutoscalerConfiguration,\n queueConnection: containerGroupQueueConnection,\n readinessProbe: containerGroupReadinessProbe,\n replicas: 77,\n restartPolicy: containerRestartPolicy,\n scalingActions: [containerGroupScalingAction],\n scheduledScalingEnabled: true,\n startupProbe: containerGroupStartupProbe,\n };\n\n const { data } = await saladCloudSdk.containerGroups.createContainerGroup(\n 'acme-corp',\n 'dev-env',\n containerGroupCreationRequest,\n );\n\n console.log(data);\n})();"},{"lang":"Python","source":"from salad_cloud_sdk import SaladCloudSdk\nfrom salad_cloud_sdk.models import ContainerGroupCreationRequest\n\nsdk = SaladCloudSdk(\n api_key=\"YOUR_API_KEY\",\n api_key_header=\"YOUR_API_KEY_HEADER\",\n timeout=10
[...]
